
@extends('layouts.landing')

@section('content')

    <!--body content start-->

    <div class="page-content">

        <!--login start-->

        <section class="login">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-6 col-md-12">
                        <img class="img-fluid" src="{{asset('sigma/landing/images/sign_in.png')}}" alt="">
                    </div>
                    <div class="col-lg-5 col-md-12 ml-auto mr-auto md-mt-5">
                        <div class="login-form text-center">
                            <img class="img-center mb-5" src="{{asset('sigma/landing/images/logo.png')}}" alt="">
                            @if ($errors->has('email'))
                            <div class="alert alert-danger">
                                    {{ $errors->first('email') }}
                            </div>
                            @endif
                            @if ($errors->has('password'))
                            <div class="alert alert-danger">
                                   {{ $errors->first('password') }}
                            </div>
                            @endif
                            <form role="form" method="POST" action="{{ url('/login') }}">
                                {{ csrf_field() }}
                                <input type="text" name="company_id" value="{{config('app.id')}}" hidden>

                                <div class="messages"></div>
                                <div class="form-group">
                                    <input id="form_name" type="text" name="email" class="form-control" placeholder="Email address" required="required" data-error="Email is required." value="{{ old('email') }}">
                                </div>
                                <div class="form-group">
                                    <input id="form_password" type="password" name="password" class="form-control" placeholder="Password" required="required" data-error="Password is required.">
                                </div>
                                <div class="form-group mt-4 mb-5">
                                    <div class="remember-checkbox d-flex align-items-center justify-content-between">

                                        <a href="{{ url('/password/reset') }}">Forgot Password?</a>
                                    </div>
                                </div> <button  type="submit" class="btn btn-theme btn-block btn-circle" data-text="Sign in"><span>S</span><span>i</span><span>g</span><span>n</span>
                                    <span> </span><span>I</span><span>n</span></button>

                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </section>

        <!--login end-->

    </div>
    @endsection