<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">

        <title>{{config('app.name')}}</title>

    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="{{asset('assets/images/favicon.ico')}}">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <link rel="stylesheet" href="{{asset('assets/css/all.css')}}">
    <link rel="stylesheet" href="{{asset('theme/css/style.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/custom.css')}}">

    <link rel="stylesheet" href="{{asset('assets/newtemplate/css/style.css')}}">
    <link rel="stylesheet" href="{{asset('assets/newtemplate/css/responsive.css')}}">
    <link rel="stylesheet" href="{{asset('assets/newtemplate/css/color-three.css')}}">
</head>

<body class="woocommerce-active single-product full-width normal">
<!-- @if($errors->any())
    @include('partials.notify', ['text' => $errors->first()])
@endif -->
<div class="html-top-content">
    <div class="theme-top-section">
        @include('partials.newnav')
    </div>
    <div class="container">
        <div class="row justify-content-center align-items-center" style="height: 100vh;">
            <div class="col-md-4">
                <div class="">
                    <h3 class="text-center font-weight-bold mb-5">Reset Password</h3>

                    <div class="panel-body">
                        @if ($errors->has('email'))
                            <div class="alert alert-warning alert-dismissible fade show">
                                <strong>{{ $errors->first('email') }}</strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        @endif
                            <form id="passreset-form" method="POST" action="{{ url('reset_password_without_token') }}">
                                {{ csrf_field() }}
                                <input type="text" name="company_id" value="{{config('app.id')}}" hidden>
                                <div class="messages">
                                    @if ($errors->has('email'))
                                        <div class="alert alert-warning alert-dismissible fade show">
                                            <strong>{{ $errors->first('email') }}</strong>
                                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                    @endif
                                    @if ($errors->has('done'))
                                        <div class="alert alert-success alert-dismissible fade show">
                                            <strong>{{ $errors->first('done') }}</strong>
                                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                    @endif
                                </div>
                                <div class="messages text-left"><h2>Reset Password</h2></div>
                                <div class="form-group">
                                    <input id="form_name" type="email" name="email" class="form-control" placeholder="Email Address" required="required" data-error="Email Address is required.">
                                    <div class="help-block with-errors"></div>
                                </div>
                                <button type="submit" class="btn btn-primary btn-block custom_button_color" data-text="Send Password Reset Link">
                                    <i class="fa fa-btn fa-refresh"></i> Reset Password
                                </button>


                            </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="{{asset('js/main.js')}}"></script>
<script>
    $(".overlay").click(function(){
        $(this).hide();
    });
</script>
</body>

</html>

