<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>{{config('app.name')}} @if(isset($title)) - {{$title}}@endif</title>
    <meta name="author" content="Loyalty Solutions Limited" />
    <meta name="description" content="Sigma Pensions Rewards platform" />
    <meta name="csrf-token" content="{{ csrf_token() }}"/>

    <!-- favicon icon -->
    <link rel="shortcut icon" href="{{asset('/favicon.ico')}}" />


    <link href="{{asset('sigma/landing/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css" />


    <link href="https://fonts.googleapis.com/css?family=Nunito:300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
    <!--== animate -->
    <link href="{{asset('sigma/landing/css/animate.css')}}" rel="stylesheet" type="text/css" />

    <!--== fontawesome -->
    <link href="{{asset('sigma/landing/css/fontawesome-all.css')}}" rel="stylesheet" type="text/css" />


    <!--== line-awesome -->
    <link href="{{asset('sigma/landing/css/line-awesome.min.css')}}" rel="stylesheet" type="text/css" />

    <!--== magnific-popup -->
    <link href="{{asset('sigma/landing/css/magnific-popup/magnific-popup.css')}}" rel="stylesheet" type="text/css" />

    <!--== owl-carousel -->
    <link href="{{asset('sigma/landing/css/owl-carousel/owl.carousel.css')}}" rel="stylesheet" type="text/css" />

    <!--== base -->
    <link href="{{asset('sigma/landing/css/base.css')}}" rel="stylesheet" type="text/css" />

    <!--== shortcodes -->
    <link href="{{asset('sigma/landing/css/shortcodes.css')}}" rel="stylesheet" type="text/css" />

    <!--== default-theme -->
    <link href="{{asset('sigma/landing/css/style.css')}}" rel="stylesheet" type="text/css" />

    <!--== responsive -->
    <link href="{{asset('sigma/landing/css/responsive.css')}}" rel="stylesheet" type="text/css" />

    <!-- inject css end -->
    <style>
        .overlay{
            position: fixed; /* Sit on top of the page content */
            display: block; /* Hidden by default */
            width: 100%; /* Full width (cover the whole page) */
            height: 100%; /* Full height (cover the whole page) */
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: rgba(0,0,0,0.2); /* Black background with opacity */
            z-index: 2000; /* Specify a stack order in case you're using a different order for other elements */
            cursor: pointer; /* Add a pointer on hover */
        }
        .close_overlay{
            float: right;
            font-size: 1.5rem;
            font-weight: 700;
            line-height: 1;
            color: #000;
            text-shadow: 0 1px 0 #fff;
            opacity: .5;
            padding: 0;
            background-color: transparent;
            border: 0;
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
            cursor: pointer;
        }
        .textnotify_container{
            position: relative;
        }
        .textnotify{
            text-align: center;
            color:#fff;
            width: 100%;
            height:60px;
            line-height: 60px;
            background: #00aced;
        }
        @font-face {
            font-family: 'Museo';
            src: url("{{asset('assets/fonts/Museo500-Regular.ttf')}}");
        }
        .off{
            display: none;
        }

        body,html, h1, h2, h3, h4, h5, h6,a { font-family: 'Museo' !important; }
    </style>

</head>
<body>
@if($errors->any())
    @include('partials.notify', ['text' => $errors->first()])
@endif
<div class="page-wrapper">

    <div id="ht-preloader">
        <div class="loader clear-loader">
            <div class="loader-box"></div>
            <div class="loader-box"></div>
            <div class="loader-box"></div>
            <div class="loader-wrap-text">
                <div class="text">
                    <span>S</span><span>I</span><span>G</span><span>M</span><span>A</span>
                </div>
            </div>
        </div>
    </div>

    @include('partials.sigma.landing.header')
@yield('content')
@include('partials.sigma.landing.footer')
</div>
<script src="{{asset('sigma/landing/js/jquery.3.3.1.min.js')}}"></script>
<script src="{{asset('sigma/landing/js/popper.min.js')}}"></script>
<script src="{{asset('sigma/landing/js/bootstrap.min.js')}}"></script>
<script src="{{asset('sigma/landing/js/jquery.appear.js')}}"></script>
<script src="{{asset('sigma/landing/js/modernizr.js')}}"></script>
<script src="{{asset('sigma/landing/js/jquery.easing.min.js')}}"></script>
<script src="{{asset('sigma/landing/js/menu/jquery.smartmenus.js')}}"></script>
<script src="{{asset('sigma/landing/js/owl-carousel/owl.carousel.min.js')}}"></script>

<script src="{{asset('sigma/landing/js/magnific-popup/jquery.magnific-popup.min.js')}}"></script>
<script src="{{asset('sigma/landing/js/counter/counter.js')}}"></script>
<script src="{{asset('sigma/landing/js/countdown/jquery.countdown.min.js')}}"></script>
{{--<script src="{{asset('sigma/landing/js/canvas.js')}}"></script>--}}
<script src="{{asset('sigma/landing/js/snap.svg.js')}}"></script>
<script src="{{asset('sigma/landing/js/step.js')}}"></script>
<script src="{{asset('sigma/landing/js/contact-form/contact-form.js')}}"></script>
<script src="{{asset('sigma/landing/js/contact-form/jquery.validate.min.js')}}"></script>
{{--<script src="{{asset('sigma/landing/js/map.js')}}"></script>--}}
<script src="{{asset('sigma/landing/js/wow.min.js')}}"></script>
<script src="{{asset('sigma/landing/js/theme-script.js')}}"></script>
<script src='https://www.google.com/recaptcha/api.js?render={{config('app.google_site_key')}}'></script>
<script>

    $(".overlay, .close_overlay").click(function(){
        $(this).hide();
    });

    grecaptcha.ready(function() {
        grecaptcha.execute('6Ld3yIwUAAAAAIOLlI-WpMeVFQob8fxWqXWq5cQz', {action: 'sigma'})
            .then(function(token) {
                $('#cpkt').val(token);
            });
    });

    function disableContact(){
        $("form#contact-form input[type='text']").prop("disabled", true);
        $("form#contact-form input[type='tel']").prop("disabled", true);
        $("form#contact-form input[type='email']").prop("disabled", true);
        $("form#contact-form textarea").prop("disabled", true);
        $("form#contact-form button").prop("disabled", true);
        $("#contact_notification").removeClass("off");
    }

    function enableContact(){
        $("form#contact-form input[type='text']").prop("disabled", false);
        $("form#contact-form input[type='tel']").prop("disabled", false);
        $("form#contact-form input[type='email']").prop("disabled", false);
        $("form#contact-form textarea").prop("disabled", false);
        $("form#contact-form button").prop("disabled", false);
        $("#contact_notification").addClass("off");
    }

    $(document).ready(function(){
        $("form#contact-form button").on('click', function () {
            $.each($("form#contact-form div.with-errors span"), function (index, item) {
                $(item).empty();
            });

            var data = $("form#contact-form").serializeArray();
            disableContact();

            $.ajax({
                url: "{!! url('contact') !!}",
                method: "POST",
                data: data
            }).done(function (res) {
                enableContact();
               alert(res.message) ;
            }).fail(function (res) {
                enableContact();
                if(res.status == 422){
                    alert('Error sending message. Missing input fields.')
                    $.each(res.responseJSON, function (item) {
                        $("span[class="+item+"]").html(res.responseJSON[item][0])
                    })
                }else{
                    alert('Error sending message. Please try again.')
                }
            })
        })
    })

</script>
</body>
</html>