<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>{{config('app.name')}} @if(isset($title)) - {{$title}}@endif</title>
    <meta name="csrf-token" content="{{ csrf_token() }}"/>

    <!-- favicon icon -->
    <link rel="shortcut icon" href="{{asset('favicon.ico')}}" type="image/x-icon"/>

    <!-- CSS Style -->
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/bootstrap.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/main.css')}}" >
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/blue.css')}}" >
    {{--<link rel="stylesheet" type="text/css" href="{{asset('sigma/css/revslider.css')}}">--}}
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/owl.carousel.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/owl.transitions.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/animate.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/bootstrap-select.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/lightbox.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/font-awesome.css')}}">
    {{--<link rel="stylesheet" type="text/css" href="{{asset('sigma/css/hover-min.css')}}">--}}
     {{--<link rel="stylesheet" type="text/css" href="{{asset('sigma/css/bootstrap-pincode-input.css')}}">--}}
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/sigma_style.css')}}">


    <style>

        body,html, h1, h2, h3, h4, h5, h6,a { font-family: 'Barlow', sans-serif; }

        #pin_validation_notification_error{
            color:red
        }
              #pin_validation_notification_success{
            color:green
        }

    </style>
    @stack('style')

</head>
<body class="cnt-home">
@if(isset($errors))
@if($errors->any())
    @include('partials.notify', ['text' => $errors->first()])
@endif
@endif
    @include('partials.sigma.header')

                    @yield('content')

@include('partials.sigma.footer')
<script src="{{asset('sigma/js/jquery-1.11.1.min.js')}}"></script>
<script src="{{asset('sigma/js/bootstrap.min.js')}}"></script>
<script src="{{asset('sigma/js/bootstrap-hover-dropdown.min.js')}}"></script>
<script src="{{asset('sigma/js/owl.carousel.min.js')}}"></script>
<script src="{{asset('sigma/js/echo.min.js')}}"></script>
<script src="{{asset('sigma/js/jquery.easing-1.3.min.js')}}"></script>
<script src="{{asset('sigma/js/bootstrap-slider.min.js')}}"></script>
{{--<script src="{{asset('sigma/js/jquery.rateit.min.js')}}"></script>--}}
<script src="{{asset('sigma/js/lightbox.min.js')}}"></script>
<script src="{{asset('sigma/js/bootstrap-select.min.js')}}"></script>
<script src="{{asset('sigma/js/bootstrap-pincode-input.js')}}"></script>
{{--<script src="{{asset('sigma/js/wow.min.js')}}"></script>--}}
<script src="{{asset('sigma/js/scripts.js')}}"></script>
    <script>
        $(".overlay, .close_overlay").click(function(){
            $(this).hide();
        })

        var baseUrl = "<?php echo config('app.base_url')?>";
        //Configure Ajax
        $.ajaxPrefilter(function(options, originalOptions, xhr) { // this will run before each request
            var token = $('meta[name="csrf-token"]').attr('content'); // or _token, whichever you are using

            if (token) {
                return xhr.setRequestHeader('X-CSRF-TOKEN', token); // adds directly to the XmlHttpRequest Object
            }
        });
    </script>
@stack('script')
</body>
</html>