@extends('layouts.main')

@section('content')
    <div class="modal fade" id="ordernotify" tabindex="-1" role="dialog" aria-labelledby="ordernotify" aria-hidden="true">
        <div class="modal-dialog modal-md modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header custom_bg_color_2">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close" style="opacity: 1;color: #fff"><span aria-hidden="true">&times;</span></button>
                    <img
                            src="{{asset('sigma/images/check.png')}}"
                            class="text-center" alt="success"
                            style="
                            width: 100px;
                            margin: 0 auto;
                            left: 40%;
                            top: 10%;
                            position: relative;"
                    >
                </div>
                <div class="modal-body text-center">
                    <h2 class="">Great!</h2>
                    <h4 class="order_response"></h4>
                    <br><br>
                    <div class="row" role="group" aria-label="">
                        <div class="col-sm-10 col-sm-offset-1">
                        <div class="col-sm-6" role="group">
                        <a type="button" data-dismiss="modal" aria-label="Close" class="btn btn-large custom_button_color_2" style="width: 100%; height: 40px;">
                            <span>Continue Shopping</span> <i class="fa fa-angle-right" aria-hidden="true"></i>
                        </a>
                        </div>
                        <div class="col-sm-6" role="group">
                        <a href="{{url('cart')}}" class="btn btn-large custom_button_color"  style="width: 100%; height: 40px;">
                            <i class="fa fa-shopping-cart" aria-hidden="true"></i> <span>View Cart</span>
                        </a>
                        </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="body-content outer-top-xs">
        <div class='container'>
            <div class='row single-product' style="margin-bottom: 50px;">
    <div class='hidden-xs hidden-sm col-md-3'>
        @include('partials.sigma.catalogue.sidebar')
    </div>
    <div class='col-xs-12 col-md-9'>
        <div class="detail-block">
            <div class="row">

                <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4 gallery-holder">
                    <div class="product-item-holder size-big single-product-gallery small-gallery">
                        <div id="owl-single-product">
                                @foreach($product->data->image as $image_index => $image)
                            <div class="single-product-gallery-item" id="slide{{$image_index}}">
                                <a data-lightbox="image-{{$image_index}}" data-title="{{ucwords(strtolower($product->data->product_name))}}" href="{{$image->image_url}}">
                                    <img class="img-responsive" alt="" src="{{asset('sigma/images/blank.gif')}}" data-echo="{{$image->image_url}}" />
                                </a>
                            </div>
                                @endforeach

                        </div>
                    </div><!-- /.single-product-gallery -->
                </div><!-- /.gallery-holder -->
                <div class='col-sm-12 col-md-8 col-lg-8 product-info-block'>
                    <div class="product-info">
                    <form action="{{route('add_to_cart')}}" method="post" name="add_product_to_cart">
                        {{ csrf_field() }}
                        @if(isset($product))
                            <input type="hidden" name="price" value="{{$product->data->price}}">
                            <input type="hidden" name="signature" value="{{$product->data->signature}}">
                            <input type="hidden" name="name" value="{{$product->data->product_name}}">
                            <input type="hidden" name="product_image" value="{{$product->data->image[0]->image_url}}">

                        <h3 class="font-weight-bold">{{ucwords(strtolower($product->data->product_name))}}</h3>

                        <div class="description-container m-t-20">
                            {{$product->data->description}}
                        </div><!-- /.description-container -->

                        <div class="price-container info-container m-t-30">
                            <div class="row">

                                <div class="col-sm-6 col-xs-6">
                                    <div class="price-box product-price">
                                        @if(Auth::user()->currency->is_currency_fixed == '1')
                                        <span class="price">
                                        <span>&#8358;</span> 
                                        {{transform_product_price($product->data->price, 1) }}
                                        </span>
                                            @if($product->data->sale == 1)
                                             <br><span class="price-before-discount">&#8358; {{transform_product_price($product->data->old_price, 1)}}</span>
                                             @endif
                                        @else
                                        <span class="price">
                        
                                            <span> {{ transform_product_price($product->data->price, Auth::user()->currency->rate )  }}</span>
                                            <span class="custom_color_2">{{Auth::user()->currency->currency}}</span>
                                             @if($product->data->sale == 1)
                                             <span class="product-price-old">
                            {{ transform_product_price($product->data->old_price, Auth::user()->currency->rate )  }} {{Auth::user()->currency->currency}}</span>
                                             @endif
                                        </span>
                                            @endif
                                    </div>
                                </div>
                            </div><!-- /.row -->
                        </div><!-- /.price-container -->

                        <div class="quantity-container info-container">
                            <div class="row">
                                @if(isset($product->data->max_quantity))
                                <div class="qty-count">
                                    <label>Quantity</label>
                                    <div class="cart-quantity">
                                        <div class="quant-input">
                                            <input type="number" min="1" value="1" name="orderqty" id="orderqty" max="{{$product->data->max_quantity}}">
                                        </div>
                                    </div>
                                </div>
                                @endif

                                @if(isset($product->data->delivery_type))
                                    <div class="qty-count">
                                        @if($product->data->delivery_type == 1)
                                            <label>Delivery method</label>
                                                <select name="delivery_method" class="delivery_method form-control product_input" required>
                                                    <option disabled value="null" selected>Delivery method</option>
                                                    <option value="1">Pickup</option>
                                                </select>
                                        @endif
                                        @if($product->data->delivery_type == 3)
                                                <label>Delivery method</label>
                                                <select name="delivery_method"  class="delivery_method form-control product_input" required>
                                                    <option disabled value="null" selected>Delivery method</option>
                                                    <option value="1">Pickup</option>
                                                    <option value="2">Delivery</option>
                                                </select>
                                        @endif
                                        @if($product->data->delivery_type == 2)
                                                <label>Delivery method</label>
                                                <select name="delivery_method" class="delivery_method form-control product_input" required>
                                                    <option disabled value="null" selected>Delivery method</option>
                                                    <option value="2" selected>Delivery</option>
                                                </select>
                                        @endif
                                    </div>
                                <div class="qty-count">
                                            @if(isset($product->data->branch_details) && $product->data->delivery_type != 2)
                                                <span id="pickUpLocation">
                                                    <label>Pickup Location</label>
                                                    <select name="pickup_location" class="pickup_location form-control product_input" required>
                                                        <option disabled value="null" selected>Pickup Location</option>
                                                        @foreach($product->data->branch_details as $location )
                                                            <option value="{{$location->branch_id}}">
                                                                {{$location->branch_name}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </span>
                                            @endif
                                </div>
                                    <div class="qty-count">

                                    </div>
                                @endif
                                {{--<div class="add-btn">--}}
                                    {{--<button href="#" class="single_add_to_cart_button btn btn-primary custom_button_color_2">--}}
                                        {{--<i class="fa fa-shopping-cart inner-right-vs"></i>--}}
                                        {{--<i class="fa fa-spinner fa-spin off process_indicator"></i>--}}
                                        {{--<span>Add to cart</span>--}}
                                    {{--</button>--}}
                                {{--</div>--}}




                            </div><!-- /.row -->

                            @if($product->data->is_variant)
                                @if(isset($product->data->attributes))
                                    @if($product->data->attributes[0]->type == 6)
                                        <label for="attribute">{{$product->data->attributes[0]->name}}</label>
                                        <input
                                                type="text"
                                                class="form-control product_input"
                                                id="attribute"
                                                name="attribute"
                                                data-type="{{$product->data->attributes[0]->type}}"
                                                data-attribute="{{$product->data->attributes[0]->name}}"
                                                placeholder="{{$product->data->attributes[0]->name}}"
                                        >
                                    @endif

                                    @if($product->data->attributes[0]->type == 7)
                                <?php $i = 1; ?>

                                    @foreach($product->data->attributes as $data1)

                                        {{--                                        <div class="row mt30">--}}
                                        <div class="radio-toolbar row mt30" data-attr-name="{{$data1->name}}"  data-type="{{$data1->type}}"  data-attr-id="{{$data1->id}}">
                                            {{$data1->name}}:

                                            @foreach($data1->variants as $data2)
                                                <input type="radio"  class="attribute" data-vattr-id="{{$data1->id}}" data-var-name="{{$data2->name}}" id="{{$i}}" value="{{$data2->id}}"  name="{{$data1->id}}"/>
                                                <label for="{{$i}}">{{$data2->name}}</label>
                                                <?php $i++; ?>
                                            @endforeach

                                        </div>
                                        {{--                                        </div>--}}
                                    @endforeach

                                @endif
                                @endif
                            @endif




                            <div class="row">
                            <div class="add-btn m-t-30">
                                <button href="#" class="single_add_to_cart_button btn btn-primary custom_button_color_2">
                                    <i class="fa fa-shopping-cart inner-right-vs"></i>
                                    <i class="fa fa-spinner fa-spin off process_indicator"></i>
                                    <span>Add to cart</span>
                                </button>
                            </div>
                            </div>
                        </div><!-- /.quantity-container -->
                    </form>
                    </div>
                            @endif
                </div><!-- /.col-sm-7 -->
            </div><!-- /.row -->
        </div>
        @include('partials.sigma.catalogue.recently_viewed')
    </div>
    <div class="clearfix"></div>
    </div>
    </div>
    </div>
    @endsection

@push('style')
    <link rel="stylesheet" type="text/css" href="{{asset('sigma/css/alertui.min.css')}}">
    <style>
        #pickUpLocation{
            display:none
        }
    </style>
@endpush
@push('script')
<script src="{{asset('sigma/js/alertui.min.js')}}"></script>
<script src="{{asset('assets/js/theia-sticky-sidebar.js')}}"></script>
<script>

    $('.sidebar').theiaStickySidebar({
        // Settings
        additionalMarginTop: 30
    });
    $(document).ready(function () {
        $(".delivery_method").on('change', function () {

            if($(this).val() == 1){
                $("#pickUpLocation").css('display', 'block');
            }else{
                $("#pickUpLocation").css('display', 'none');
            }
        })

        $("form[name='add_product_to_cart']").on('submit', function (event) {

// console.log($("input[type='radio']:checked").length );

            var branch_name = $(".pickup_location option:selected").text();
            event.preventDefault();
            $(".process_indicator").removeClass('off');
            disableItem($(".single_add_to_cart_button"), true)


            var product_attribute = [];

            if ($( ".radio-toolbar" ).length >= 1) {
                $(".radio-toolbar").each(function () {
                    var attribute_id = $(this).attr('data-attr-id');
                    var attribute_name = $(this).attr('data-attr-name');
                    var data_type = $(this).attr('data-type');


                    var variant = $(".radio-toolbar input[type='radio'][data-vattr-id='" + attribute_id + "']:checked").val();
                    var variant_name = $(".radio-toolbar input[type='radio'][data-vattr-id='" + attribute_id + "']:checked").attr('data-var-name');
                    // alert(variant+" "+variant_name);

// console.log(variant);
//check if it has value
                    if (variant == null) {
                        alert('Kindly select ' + attribute_name);
                        $(".process_indicator").addClass('off');
                        disableItem($(".single_add_to_cart_button"), false);
                        return false;
                    } else {

                        product_attribute.push({
                            product_has_attribute: $(".radio-toolbar").length > 0 ? true : false,
                            product_attribute_value: attribute_id,
                            variant_id: variant,
                            variant_name: variant_name,
                            product_attribute: attribute_name,
                            product_attribute_type: data_type
                        });

                    }
                })
            }
            if($( "#attribute" ).length >= 1) {
                if($("#attribute").val() != "") {
                    product_attribute.push({
                        product_has_attribute: $("#attribute").length > 0 ? true : false,
                        variant_name: $('#attribute').val(),
                        product_attribute: $('#attribute').attr('data-attribute'),
                        product_attribute_type: $('#attribute').attr('data-type')
                    });
                }else{
                    alert("Kindly Enter Desire "+$('#attribute').attr('data-attribute'));
                    $(".process_indicator").addClass('off');
                    disableItem($(".single_add_to_cart_button"), false)
                    $('#attribute').focus();
                    return false;
                }
            }
            // console.log(product_attribute);
            // return false;
            var formdata = {};
            $.map($(this).serializeArray(), function (elem, i) {
                formdata[elem.name] = elem.value;
            })
            formdata['pickup_location_name'] = $.trim(branch_name);
            formdata['pickup_attribute'] = product_attribute;


            $.post("{{url('api/add_to_cart')}}", {formdata})
                .done(function (res) {
                    $(".process_indicator").addClass('off');
                    disableItem($(".single_add_to_cart_button"), false)
                    // handle success
                    if (!res) {
                        alertui.notify('error', 'Failed to add item to cart');
                        return false;
                    }
                    if (res.status == 400) {
                        alertui.notify('error', res.data);
                        return false;
                    } else {
                        updateCartCount(res.cartqty);
                        $('#ordernotify').modal('show');
                        $('#ordernotify').on('shown.bs.modal', function (e) {
                            $(".order_response").html(res.data);
                        });
                    }

                })
                .fail(function (response) {
                    // handle error
                    disableItem($(".single_add_to_cart_button"), false)
                    $(".process_indicator").addClass('off');
                    if(response.status == 500){
                        alertui.notify('error', 'An Error Occurred. Please try again.')
                    }
                    else{
                        alertui.notify('info', 'Failed to add to Cart. Please try again.')
                    }
                })
        });

    })

    function updateCartCount(cartqty){
        $("span.count").html(cartqty);
        $(".header_cart i.count").html(cartqty);
    }

    //INTERSECTION OBSERVER
    //LAZY LOAD IMAGES
    var options = {
        rootMargin: '0px',
        threshold: 0.1
    };
    var images = $('.image img');
    if (!('IntersectionObserver' in window)) {
        Array.from(images).forEach(image => preLoadImage(image));
    } else {
        var observer = new IntersectionObserver(handleIntersection, options);

        $.each(images, function(index, img) {
            observer.observe(img);
        })
    }
    function handleIntersection(entries, observer){

        entries.forEach(entry => {
            if(entry.intersectionRatio > 0) {
                observer.unobserve(entry.target);
                preLoadImage(entry.target)
            }
        })
    }

    function loadImage(image){
        var src = image.dataset.src;
        $.get(src)
            .done(function(){
                image.src = src;
            })
    }

    function preLoadImage(image){
        var src = image.dataset.src;
        image.src = src;
        // fetchImage(src).then(() => {
        //     image.src = src;
        // })
    }

</script>
@endpush