@extends('layouts.main')

@section('content')

            <div class="container">
                <div class="row justify-content-between experience_page_container" style="
                        background: url({{asset('assets/images/bg/experience_bg.jpg')}}) no-repeat center center;
                        -webkit-background-size: cover;
                        -moz-background-size: cover;
                        -o-background-size: cover;
                        background-size: cover;
                        position: relative;
                        padding: 100px 60px;">
                    {{--<div class="col">--}}
                        <div class="experience_catch">
                            <h3>
                                Experience Amazing
                                <br>
                                Places and Events.
                            </h3>
                            <p>Book your Activities and Tours now.</p>
                        </div>

                    <div class="col-sm-12">
                        <div class="row justify-content-between text-left">
                            <div class="col search_container">
                                <form class="" method="get" action="{{url('experiences_search')}}">

                                    <select name="exp_country" id="exp_country" class="product_input" style="width: 145.64px;" required>
                                        {{--<option value="" selected="selected" disabled="disabled" required>Select Country</option>--}}
                                        @foreach($countries as $country)
                                            <option value="{{$country->id}}">{{$country->name}}</option>
                                        @endforeach
                                    </select>
                                    <select name="exp_city" id="exp_city" class="product_input" style="width: 145.64px;" disabled>
                                        <option value="" selected="selected">Select City</option>
                                    </select>

                                    <button type="submit" class="btn btn-primary search_exp_btn custom_button_color">
                                        <span class="">FIND EXPERIENCES</span>
                                    </button>
                                    <!-- .input-group-btn -->

                                    <!-- .input-group -->
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

    <div class="container" style="padding-bottom: 1.5em;">
        <div class="row">
        <div class="col-sm-12 experience_page_container" style="background: #fff;padding: 0 60px 60px;">
        <div class="mt-5" style="position:relative;">
            <h3 class="exp_glam_title">Most Popular destinations</h3>
            <hr>
        </div>
        @include('pages.experience._popular_cities')
    </div>
    </div>
    </div>
@endsection('content')
@push('style')
    {{--<link rel="stylesheet" href="{{asset('sigma/css/bootstrap-select.min.css')}}">--}}
    <style>
        .btn-default,.btn-default:hover, .btn-default:focus, .btn-default:active, .btn-default.active, .open>.dropdown-toggle.btn-default{
            background: transparent;
            color: #000;
            border-color: transparent;
        }
        .btn-group.open .dropdown-toggle {
            -webkit-box-shadow: none;
            box-shadow: none;
        }
        .bootstrap-select .btn:focus {
            outline: none !important;
        }

        a, a:hover{
            color: #fff;
        }
    </style>
@endpush

@push('script')
    {{--<script src="{{asset('sigma/js/bootstrap-select.min.js')}}"></script>--}}
    <script src="{{asset('sigma/js/alertui.min.js')}}"></script>
    <script>
        $(document).ready(function () {
            // $('#exp_country').selectpicker();

            //Load cities on page ready
            $.ajax({
                type:"GET",
                url:"{{url('api/getcities')}}"+"/"+$("#exp_country").val(),
                headers:{token:1200},
                dataType:"json",
                success: function(res){
                    $('#exp_city').empty();
                    disableItem($('#exp_city'), false);
                    disableItem($(".search_exp_btn"), false)
                    if (res.status == 200 ){

                        $.each(res.data, function(key,value)
                        {
                            $('#exp_city').append('<option value="'+value.id+'" data-cityname="'+value.name+'">'+ucFirst(value.name.toLowerCase())+'</option>');
                        });

                    }
                },
                error: function (response, status, error) {
                    $('#exp_city').empty();
                    $('#exp_city').append('<option>Select city</option>');
                    if(response.status == 500){
                        alertui.notify('error', 'An Error Occurred. Please try again.')
                    }
                    else{
                        alertui.notify('error', response.responseJSON.data)
                    }
                }
            });
            disableItem($(".search_exp_btn"), true)
            $("#exp_country").on('change', function(){
                exp_country_id = $(this).val();
                $('#exp_city').empty();
                $('#exp_city').append('<option>Loading...</option>');
                disableItem($(".search_exp_btn"), true)
                disableItem($('#exp_city'), true);
                $.ajax({
                    type:"GET",
                    url:"{{url('api/getcities')}}"+"/"+exp_country_id,
                    headers:{token:1200},
                    dataType:"json",
                    success: function(res){
                        $('#exp_city').empty();
                        disableItem($('#exp_city'), false);
                        disableItem($(".search_exp_btn"), false)
                        if (res.status == 200 ){

                            $.each(res.data, function(key,value)
                            {
                                $('#exp_city').append('<option value="'+value.id+'" data-cityname="'+value.name+'">'+ucFirst(value.name.toLowerCase())+'</option>');
                            });

                        }
                    },
                    error: function (response, status, error) {
                        $('#exp_city').empty();
                        $('#exp_city').append('<option>Select city</option>');
                        if(response.status == 500){
                            alertui.notify('error', 'An Error Occurred. Please try again.')
                        }
                        else{
                            alertui.notify('error', response.responseJSON.data)
                        }
                    }
                });

            });
        })
    </script>
    @endpush