@extends('layouts.main')
@section('content')
    <div class="body-content">
        <div class="breadcrumb">
            <div class="container">
                <div class="breadcrumb-inner">
                    <ul class="list-inline list-unstyled">
                        <li><a href="{{url('/')}}">Home</a></li>
                        <li class='active'>Orders</li>
                    </ul>
                </div>
                <!-- /.breadcrumb-inner -->
            </div>
        </div>
        <div class="row">
            <div class="col-sm-offset-1 col-sm-10" style="
                margin-bottom: 200px;
                margin-top: 10px;">
                <div class="woocommerce container mt-2">
                    <div
                            style="
                                    background-image: url({{asset('assets/images/ordercomplete.jpg')}});
                                    height: 150px;
                                    color: #fff;
                                    background-position: center;
                                    background-size: cover;
                                    margin-bottom: 60px;
                                    "
                    >
                        <h2 class="text-center text-white" style="line-height: 150px;">Order History</h2>
                    </div>

                    <div class="cart-wrapper" style="
                    background: #fff;
                    padding: 10px;
                    -webkit-border-radius: 10px;
                    -moz-border-radius: 10px;
                    border-radius: 10px;">
                        <table class="statement_table shop_table_responsive cart table-hover table-striped" style='width: 100%' >
                            <thead>
                            <tr>
                            <th>Order Date</th>
                            <th>Total Amount</th>
                            <th>Delivery Charge</th>
                            {{--<th>Delivery method</th>--}}
                            <th>Order No</th>
                            <th>Successful</th>
                            <th>Failed</th>
                            <th>Items</th>
                            </thead>
                            </tr>
                            <tbody>
                            @foreach($accounts as $item)
                                <tr>
                                    <td>{{$item->created_at}}</td>
                                    <td>
                                        @if($item->is_shipping)

                                            @php if(Auth::user()->currency->is_currency_fixed == '1'){
                                                        echo '&#8358;' . transform_product_price( ($item->sub_total_cost + $item->shipping_cost), 1);
                                                            }
                                                        else{
                                                          echo transform_product_price(($item->sub_total_cost + $item->shipping_cost ),Auth::user()->currency->rate) ." " .Auth::user()->currency->currency;
                                                        }
                                            @endphp

                                        @else

                                            @php if(Auth::user()->currency->is_currency_fixed == '1'){
                                                            echo '&#8358;' . transform_product_price( $item->sub_total_cost, 1 );
                                                            }
                                                        else{
                                                          echo transform_product_price($item->sub_total_cost, Auth::user()->currency->rate) ." ".Auth::user()->currency->currency;
                                                        }
                                            @endphp

                                        @endif
                                    </td>
                                    <td>
                                        @if($item->is_shipping)
                                            @if(Auth::user()->currency->is_currency_fixed == '1')
                                                &#8358;{{ transform_product_price($item->shipping_cost,1)}}
                                            @else
                                                {{ transform_product_price($item->shipping_cost, Auth::user()->currency->rate)}} {{Auth::user()->currency->currency}}
                                            @endif
                                        @else
                                            No charge
                                        @endif
                                    </td>
                                    {{--<td>{{$item->is_shipping ? 'Shipping' : 'Pickup'}}</td>--}}
                                    <td>{{$item->order_no}}</td>
                                    <td>@php echo count($item->success) @endphp</td>
                                    <td>@if(isset($item->fail["reference"]))
                                            {{count($item->fail["reference"])}}
                                        @else
                                            {{0}}
                                        @endif
                                    </td>
                                    <td><a href="{{url('order/'.$item->id)}}">
                                            <button class="btn btn-link">View</button>
                                        </a></td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        {{ $accounts->links() }}
                    </div>
                    <!-- .cart-wrapper -->
                </div>
    </div>
    </div>
    </div>
@endsection
@push('style')
<style>

</style>
@endpush
