@extends('layouts.main')
@section('content')
    <div class="body-content">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 m-t-30">
                <div class="breadcrumb">
                    <div class="container">
                        <div class="breadcrumb-inner">
                            <ul class="list-inline list-unstyled">
                                <li><a href="{{url('/')}}">Home</a></li>
                                <li class='active'>Transactions</li>
                            </ul>
                        </div>
                        <!-- /.breadcrumb-inner -->
                    </div>
                </div>
            </div>
            <div class="col-sm-offset-1 col-sm-10" style="
                margin-bottom: 200px;
                margin-top: 10px;">
                <div
                        style="
                                background-image: url({{asset('assets/images/statement.jpg')}});
                                height: 150px;
                                color: #fff;
                                background-position: center;
                                background-size: cover;
                                margin-bottom: 60px;
                                "
                >
                    <h2 class="text-center text-white" style="line-height: 150px;">Account Statement</h2>
                </div>
                @if(isset($accounts))
                    <div class="type-page hentry">
                        <div class="entry-content">
                            <div class="cart-wrapper"  style="background: #fff;
                                 padding: 10px;
                                 -webkit-border-radius: 10px;
                                 -moz-border-radius: 10px;
                                 border-radius: 10px;">
                                <table class="statement_table table cart table-hover table-striped" style='width: 100%'>
                                    <thead>
                                    <th>Order Date</th>
                                    <th>Transaction No</th>
                                    <th>Type</th>
                                    <th>Amount</th>
                                    <th>Order No</th>
                                    </thead>
                                    <tbody>
                                    @foreach($accounts as $item)
                                        <tr>
                                            <td>{{$item->created_at}}</td>
                                            <td>{{$item->trans_no}}</td>
                                            <td>
                                                @if($item->type == 1)
                                                    Credit
                                                @else
                                                    Debit
                                                @endif
                                            </td>
                                            @if(Auth::user()->currency->is_currency_fixed == '1')
                                                <td>&#8358;{{number_format($item->point_raw, 0)}}</td>
                                            @else
                                                <td>{{number_format($item->point_virtual, 0)}} {{Auth::user()->currency->currency}}</td>
                                            @endif
                                            <td>
                                                @if($item->order_id == "")
                                                    _
                                                @else
                                                    {{$item->order_id}}
                                                @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                                {{ $accounts->links() }}
                            </div>
                            <!-- .cart-wrapper -->
                        </div>
                        <!-- .woocommerce -->
                    </div>
            </div>
        </div>
        <!-- .entry-content -->
        @endif
            </div>
        </div>

    </div>
    </div>
@endsection
@push('style')
    <style>

    </style>
@endpush

