<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
</head>
<body class="woocommerce-active page-template-template-homepage-v1 can-uppercase">
<div id="page" class="hfeed site">
<?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<!-- .top-bar-v1 -->
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="tm tm-departments-thin"></i>
                        <span>Categories</span>
                    </button>
                    <ul id="menu-departments-menu" class="dropdown-menu yamm departments-menu-dropdown">
                        <?php if($response): ?>
                            <?php if($response->status == 1): ?>
                                <?php foreach($response->data as $category): ?>
                                    <li class="highlight menu-item animate-dropdown">
                                        <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("experiences",[str_slug($category->category, '-') .'-' . $category->category_id])); ?>">
                                            <?php echo e(ucfirst($category->category)); ?></a>
                                    </li>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        <?php else: ?>
                            <li class="highlight menu-item animate-dropdown">
                                <a title="" href="javascript:">Failed to load categories</a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>

                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="">

                    <!-- .input-group -->
                </form>
                <!-- .navbar-search -->
                <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            </div>
            <!-- /.row -->
        </div>
        <!-- .col-full -->
        <div class="col-full handheld-only">
            <div class="handheld-header">
                <!-- /.row -->
                <div class="techmarket-sticky-wrap">
                    <div class="row">
                        <nav id="handheld-navigation" class="handheld-navigation" aria-label="Handheld Navigation">
                            <button class="btn navbar-toggler" type="button">
                                <i class="tm tm-departments-thin"></i>
                                <span>Menu</span>
                            </button>
                            <div class="handheld-navigation-menu">
                                <span class="tmhm-close">Close</span>
                                <ul id="menu-departments-menu-1" class="nav">
                                    <?php if($response): ?>
                                        <?php if($response->status == 1): ?>
                                            <?php foreach($response->data as $category): ?>
                                                <li class="highlight menu-item animate-dropdown">
                                                    <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("experiences",[str_slug($category->category, '-') .'-' . $category->category_id])); ?>">
                                                        <?php echo e(ucfirst($category->category)); ?></a>
                                                </li>
                                            <?php endforeach; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </ul>
                            </div>
                            <!-- .handheld-navigation-menu -->
                        </nav>
                        <!-- .handheld-navigation -->
                        <div class="site-search">
                            <div class="widget woocommerce widget_product_search">
                                <form role="search" method="get" class="woocommerce-product-search" action="">
                                </form>
                            </div>
                            <!-- .widget -->
                        </div>
                        <a class="handheld-header-cart-link has-icon" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </div>
                    <!-- /.row -->
                </div>
                <!-- .techmarket-sticky-wrap -->
            </div>
            <!-- .handheld-header -->
        </div>
        <!-- .handheld-only -->
    </header>
    <div id="content" class="site-content">
        <div class="col-full" id="shop">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php echo $__env->make('partials.slider', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <?php echo $__env->make('partials.promises', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <?php /*Products Section*/ ?>
                        <section class="full-width section-products-carousel-tabs section-product-carousel-with-featured-product carousel-with-featured-1">
                            <?php if($products): ?>
                                <?php if($products->status == 1): ?>
                                    <header class="section-header">
                                        <?php /*<h2 class="section-title"><?php echo e($products->category); ?></h2>*/ ?>
                                        <h2 class="section-title">Trending Experinces</h2>
                                    </header>
                                    <div class="tab-content">
                                        <!-- .tab-pane -->
                                        <div role="tabpanel" id="digital-cameras" class="tab-pane active">
                                            <div class="tab-product-carousel-with-featured-product">
                                                <div class="tab-carousel-products">
                                                    <div class="products-carousel" data-ride="tm-slick-carousel" data-wrap=".products" data-slick="{&quot;rows&quot;:2,&quot;slidesPerRow&quot;:6,&quot;slidesToShow&quot;:1,&quot;slidesToScroll&quot;:1,&quot;dots&quot;:true,&quot;arrows&quot;:false,&quot;responsive&quot;:[{&quot;breakpoint&quot;:1200,&quot;settings&quot;:{&quot;slidesPerRow&quot;:2,&quot;slidesToScroll&quot;:1}},{&quot;breakpoint&quot;:1400,&quot;settings&quot;:{&quot;slidesPerRow&quot;:3,&quot;slidesToScroll&quot;:1}},{&quot;breakpoint&quot;:1599,&quot;settings&quot;:{&quot;slidesPerRow&quot;:4,&quot;slidesToScroll&quot;:1}}]}">
                                                        <div class="container-fluid">
                                                            <div class="woocommerce columns-6">
                                                                <div class="products">
                                                                    <?php foreach($products->data as $product): ?>
                                                                        <div class="product">
                                                                            <a href="<?php echo e(url('experience/item', [$product->product_code])); ?>" class="woocommerce-LoopProduct-link">
                                                                                <img src="<?php echo e($product->image); ?>" width="224" height="197" class="wp-post-image" alt=""
                                                                                     style="
                                                                                     max-width:224px;
                                                                                     min-width:224px;
                                                                                     max-height:197px;
                                                                                     min-height:197px;">
                                                                                <span class="price">
                                                                                       <?php if(Auth::check()): ?>
                                                                                        <?php if(config('app.appfixcurrency') == 'true'): ?>
                                                                                            <ins><span class="amount">&#8358;<?php echo e((number_format( config('app.apprate') * Auth::user()->point->point))); ?></span> </ins>
                                                                                        <?php else: ?>
                                                                                            <ins><span class="amount"><?php echo e((number_format( config('app.apprate') * Auth::user()->point->point))); ?> <?php echo e(config('app.appcurrency')); ?></span> </ins>
                                                                                        <?php endif; ?>
                                                                                    <?php endif; ?>
                                                                            </span>
                                                                                <!-- /.price -->
                                                                                <h2 class="woocommerce-loop-product__title"><?php echo e(str_limit($product->product, 20)); ?></h2>
                                                                            </a>
                                                                            <div class="hover-area">
                                                                                <a class="button add_to_cart_button" href="<?php echo e(url('experience/item', [$product->product_code])); ?>" rel="nofollow" style="cursor: pointer">Add to cart</a>
                                                                            </div>
                                                                        </div>
                                                                    <?php endforeach; ?>
                                                                </div>
                                                            </div>
                                                            <!-- .woocommerce-->
                                                        </div>
                                                        <!-- .container-fluid -->
                                                    </div>
                                                    <!-- .products-carousel -->
                                                </div>
                                                <!-- .tab-carousel-products -->
                                                <div class="tab-featured-product">
                                                    <div class="woocommerce columns-1">
                                                        <div class="products">
                                                            <div class="tab-product-featured product">
                                                                <a class="woocommerce-LoopProduct-link" href="<?php echo e(url('experience', [$products->data[0]->product_code])); ?>">
                                                                    <img width="600" height="600" alt="" class="attachment-shop_single size-shop_single wp-post-image" src="<?php echo e($products->data[0]->image); ?>">
                                                                    <span class="price">
                                                                                       <?php if(Auth::check()): ?>
                                                                            <?php if(config('app.appfixcurrency') == 'true'): ?>
                                                                                <ins><span class="amount">&#8358;<?php echo e((number_format( config('app.apprate') * Auth::user()->point->point))); ?></span> </ins>
                                                                            <?php else: ?>
                                                                                <ins><span class="amount"><?php echo e((number_format( config('app.apprate') * Auth::user()->point->point))); ?> <?php echo e(config('app.appcurrency')); ?></span> </ins>
                                                                            <?php endif; ?>
                                                                        <?php endif; ?>
                                                                            </span>
                                                                    <h2 class="woocommerce-loop-product__title"><?php echo e($products->data[0]->product); ?></h2>
                                                                </a>
                                                                <a class="button add_to_cart_button" href="<?php echo e(url('experience', [$products->data[0]->product_code])); ?>">Add to cart</a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- .tab-featured-product -->
                                            </div>
                                            <!-- .tab-product-carousel-with-featured-product -->
                                        </div>
                                        <!-- .tab-pane -->
                                    </div>
                                    <!-- .tab-content -->
                                <?php endif; ?>
                            <?php endif; ?>
                        </section>
                        <?php echo $__env->make('partials.banner', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    </main>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>

<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
</body>
</html>