<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Cinemas  - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>
    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">

    <?php /*<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>*/ ?>
    <script src="<?php echo e(asset('assets//newtemplate/vendor/html5shiv.js')); ?>"></script>
    <script src="<?php echo e(asset('assets//newtemplate/vendor/respond.js')); ?>"></script>

    <style>
        body{
            background: url(<?php echo e(asset('assets/images/bg/movies.png')); ?>);
            background-position: center center;
        }
        .theme-footer{
            background: #fff;
        }
    </style>
</head>

<body class="woocommerce-active page-template-template-homepage-v1 can-uppercase">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>

    <div id="content" class="site-content">
        <?php echo $__env->make('partials.cinemas.slider', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="col-full" id="shop">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php /*Products Section*/ ?>
                        <section class="full-width section-products-carousel-tabs section-product-carousel-with-featured-product carousel-with-featured-1">
                            <?php if(isset($data)): ?>
                                <?php if($data->status == 1): ?>
                                    <div class="container">
                                        <?php /*<?php */ ?>
                                        <?php /*var_dump($data->data)*/ ?>
                                        <?php /* ?>*/ ?>
                                        <div class="row">
                                            <?php foreach($data->data as $item): ?>
                                                <?php foreach($item->tickets as $ticket): ?>
                                                <div class="col-sm-3">
                                                <div class="cinemas_item_container position-relative">
                                                    <div class="cover">
                                                    </div>
                                                    <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>" class="w-100">
                                                        <img src="<?php echo e(asset('assets/images/spinner.gif')); ?>" alt="" class="w-100 hvr-grow-shadow movie_img" data-src="<?php echo e(asset('assets/images/cinemas/poster1.jpg')); ?>">
                                                    </a>
                                                    <div class="details text-center">
                                                        <div class="cinema_badge"><?php echo e($item->name); ?></div>
                                                        <h4><?php echo e(ucfirst(strtolower($ticket->title))); ?></h4>
                                                        <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>">
                                                            Buy
                                                        </a>
                                                    </div>
                                                </div>
                                                </div>
                                                    <div class="col-sm-3">
                                                        <div class="cinemas_item_container">
                                                            <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>" class="w-100">
                                                            <img src="<?php echo e(asset('assets/images/spinner.gif')); ?>" alt="" class="w-100 hvr-grow-shadow movie_img" data-src="<?php echo e(asset('assets/images/cinemas/thumb2.jpg')); ?>">
                                                            </a>
                                                                <div class="details text-center">
                                                                <div class="cinema_badge"><?php echo e($item->name); ?></div>
                                                                <h4><?php echo e(ucfirst(strtolower('The Greatest Showman'))); ?></h4>
                                                                <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>">
                                                                    Buy
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <div class="cinemas_item_container">
                                                            <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>" class="w-100">
                                                            <img src="<?php echo e(asset('assets/images/spinner.gif')); ?>" alt="" class="w-100 hvr-grow-shadow movie_img" data-src="<?php echo e(asset('assets/images/cinemas/thumb3.jpg')); ?>">
                                                            </a>
                                                                <div class="details text-center">
                                                                <div class="cinema_badge"><?php echo e($item->name); ?></div>
                                                                <h4><?php echo e(ucfirst(strtolower('Logan'))); ?></h4>
                                                                <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>">
                                                                    Buy
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <div class="cinemas_item_container">
                                                            <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>" class="w-100">
                                                            <img src="<?php echo e(asset('assets/images/spinner.gif')); ?>" alt="" class="w-100 hvr-grow-shadow movie_img" data-src="<?php echo e(asset('assets/images/cinemas/thumb4.jpeg')); ?>">
                                                            </a>
                                                            <div class="details text-center">
                                                                <div class="cinema_badge"><?php echo e($item->name); ?></div>
                                                                <h4>Black Panther</h4>
                                                                <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>">
                                                                    Buy
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <div class="cinemas_item_container">
                                                            <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>" class="w-100">
                                                            <img src="<?php echo e(asset('assets/images/spinner.gif')); ?>" alt="" class="w-100 hvr-grow-shadow movie_img" data-src="<?php echo e(asset('assets/images/cinemas/thumb1.jpeg')); ?>">
                                                            </a>
                                                                <div class="details text-center">
                                                                <div class="cinema_badge"><?php echo e($item->name); ?></div>
                                                                <h4>Beauty and the Beast</h4>
                                                                    <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>">
                                                                        Buy
                                                                    </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <div class="cinemas_item_container">
                                                            <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>" class="w-100">
                                                            <img src="<?php echo e(asset('assets/images/spinner.gif')); ?>" alt="" class="w-100 hvr-grow-shadow movie_img" data-src="<?php echo e(asset('assets/images/cinemas/poster4.jpg')); ?>">
                                                            </a>
                                                                <div class="details text-center">
                                                                <div class="cinema_badge"><?php echo e($item->name); ?></div>
                                                                <h4>Avengers</h4>
                                                                <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>">
                                                                    Buy
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <div class="cinemas_item_container">
                                                            <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>" class="w-100">
                                                            <img src="<?php echo e(asset('assets/images/spinner.gif')); ?>" alt="" class="w-100 hvr-grow-shadow movie_img" data-src="<?php echo e(asset('assets/images/cinemas/poster5.jpg')); ?>">
                                                            </a>
                                                                <div class="details text-center">
                                                                <div class="cinema_badge"><?php echo e($item->name); ?></div>
                                                                <h4>The Grey</h4>
                                                                <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>">
                                                                    Buy
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <div class="cinemas_item_container">
                                                            <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>" class="w-100">
                                                            <img src="<?php echo e(asset('assets/images/spinner.gif')); ?>" alt="" class="w-100 hvr-grow-shadow movie_img" data-src="<?php echo e(asset('assets/images/cinemas/poster2.jpg')); ?>">
                                                            </a>
                                                                <div class="details text-center">
                                                                <div class="cinema_badge"><?php echo e($item->name); ?></div>
                                                                <h4>Aqua Man</h4>
                                                                <a href="<?php echo e(url('movie', ['code' => $ticket->product_code])); ?>">
                                                                    Buy
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <?php endforeach; ?>

                                            <?php endforeach; ?>
                                        </div>
                                        </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </section>
                    </main>
                </div>
            </div>
            <?php echo $__env->make('partials.banner', ['page' => 'cinemas'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </div>

    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </div>
</div>

<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('js/landing.js')); ?>"></script>
<script>
    //Configure Ajax
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    $(".overlay").click(function(){
        $(this).hide();
    });
    var eventData = <?php echo json_encode($data) ?>;
    //Declare global variables.
    var conversionRate = "<?php echo Auth::user()->currency->rate ;?>"
    var appCurrencyFixed = "<?php echo Auth::user()->currency->is_currency_fixed ;?>"
    var baseUrl = "<?php echo config('app.base_url')?>";

    $(".overlay").click(function(){
        $(this).hide();
    });

    $(document).ready( function () {
        $(".details button").on('click', function (event) {
            event.preventDefault()
            get_movie_detail($(this).data('code'))
        })
    })

    function get_movie_detail(code){
        $.post(baseUrl+'cinemas/details/'+code)
            .done(function (res) {
                $(".process_indicator").addClass('off');
                $(".pay_event_btn").prop('disabled', false)
                // handle success
                if (!res) {
                    alertui.notify('error','Failed to complete payment');
                    return false;
                }
                if (res.status == '400') {
                    alertui.notify('error',res.data);
                    return false;
                }
                if (res.status == 'fail') {
                    alertui.notify('error',res.data);
                    return false;
                }
                if (res.status == '200') {
                    $('#modal').modal('hide');
                    $('#modal').on('hidden.bs.modal', function (e) {
                        $('#ordernotify').modal('show');
                    });
                    var oldlink = $("#order_receipt").prop('href');
                    $('#ordernotify').on('shown.bs.modal', function (e) {
                        $("#order_receipt").prop('href', '');
                        $("#order_receipt").prop('href', "<?php echo e(url('ordercomplete')); ?>"+'/'+res.data);
                    });
                }
            })
            .fail(function (response, status, error) {
                // handle error
                $(".process_indicator").addClass('off');
                $(".pay_event_btn").prop('disabled', false)
                if(response.status == 500){
                    alertui.notify('error', 'An Error Occurred. Please try again.')
                }
                else{
                    alertui.notify('error', response.responseJSON.data)
                }
            })
    }

</script>

<script>
    //INTERSECTION OBSERVER
    //LAZY LOAD IMAGES
    var options = {
        rootMargin: '0px',
        threshold: 0.1
    };
    var images = $('img.movie_img');
    if (!('IntersectionObserver' in window)) {
        Array.from(images).forEach(image => preLoadImage(image));
    } else {
        var observer = new IntersectionObserver(handleIntersection, options);

        $.each(images, function(index, img) {
            observer.observe(img);
        })
    }
    function handleIntersection(entries, observer){

        entries.forEach(entry => {
            if(entry.intersectionRatio > 0) {
                observer.unobserve(entry.target);
                loadImage(entry.target)
            }
        })
    }

    function loadImage(image){
        var src = image.dataset.src;
        $.get(src)
            .done(function(){
                image.src = src;
            })
    }

    function preLoadImage(image){
        var src = image.dataset.src;
        image.src = src;
    }
</script>
</body>

</html>