<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
    <link href="https://fonts.googleapis.com/css?family=Ubuntu" rel="stylesheet">
    <style>
        body{
            font-family: 'Ubuntu', sans-serif;
        }
    </style>

</head>
<body class="woocommerce-active page-template-template-landingpage-v2 can-uppercase">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <header id="masthead" style="background-image: none;">
        <?php echo $__env->make('partials.nav_general2', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </header>
    <!-- .header-v6 -->
    <!-- ============================================================= Header End ============================================================= -->
    <div id="content" class="site-content" tabindex="-1">
        <div class="row">
            <div id="primary" class="content-area">
                <main id="main" class="site-main">
                    <div id="landslider" class="carousel slide" data-ride="carousel">
                        <div>
                            <ul class="carousel-indicators">
                                <li data-target="#landslider" data-slide-to="0" class="active"></li>
                                <li data-target="#landslider" data-slide-to="1"></li>
                            </ul>
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <img src="<?php echo e(asset('assets/images/landing/slider_home2_1.jpg')); ?>" alt="Slider" >
                                </div>
                                <div class="carousel-item">
                                    <img src="<?php echo e(asset('assets/images/landing/slider_home2_2.jpg')); ?>" alt="Slider" >
                                </div>
                            </div>
                            <a class="carousel-control-prev" href="#landslider" data-slide="prev">
                                <span class="carousel-control-prev-icon"></span>
                            </a>
                            <a class="carousel-control-next" href="#landslider" data-slide="next">
                                <span class="carousel-control-next-icon"></span>
                            </a>
                        </div>
                    </div>

                    <div class="row mb-5" id="about">
                        <div class="container">
                            <h1 class="text-center text-white mt-3 mb-3">How Cadbury rewards work</h1>
                            <div class="row justify-content-center">
                                <div class="col-sm-4 about_col">
                                    <div class="circle">
                                        <p class="text-center text-white">Enrol</p>
                                    </div>
                                    <p class="content text-white text-center">
                                    Get enrolled in the Cadbury Rewards program
                                    </p>
                                </div>
                                <div class="col-sm-4 about_col">
                                    <div class="circle">
                                        <p class="text-center text-white text-center">Shop & Earn</p>
                                    </div>
                                    <p class="content text-white text-center">
                                    You will earn points for every N2,000 you spend at at our store, no matter how you choose to pay.
                                    </p>
                                </div>
                                <div class="col-sm-4 about_col">
                                    <div class="circle">
                                        <p class="text-center text-white">Redeem</p>
                                    </div>
                                    <p class="content text-white text-center">
                                    You can use your accumulated point to redeem exclusive items on the customer portal catalogue.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row" id="whatis">
                        <div class="container">
                            <div class="row">
                        <div class="col-sm-6 align-items-center p-5">
                        <h1 class="custom_color font-weight-bold">
                            What is
                            <br>
                            Cadbury Rewards
                        </h1>
                            <p class="mt-5 font-weight-bold">
                                Cadbury Rewards is Our way of saying thank you for shopping with us. We reward you with points for your everyday transactions.
                            </p>
                        </div>
                                <div class="col-sm-6">
                                    <img src="<?php echo e(asset('assets/images/landing/whatis.png')); ?>" alt="">

                        </div>
                            </div>
                        </div>
                    </div>

                    <div class="divide landing_categories">
                    </div>

                    <div class="row">
                        <section id="expectation">
                            <div class="col-full">
                                <header class="section-header text-white text-center">
                                    <div class="container" style="margin-bottom: 6em; position:relative;">
                                        <h2 class="landing_categories_title">
                                          What to expect from
                                            <br>
                                            <strong class="font-weight-bold">Cadbury Rewards</strong>
                                        </h2>
                                        <h5>A suit of carefully curated categories to choose to spend your earned points, ranging from Travel experiences, Access to a rich catalogue of curated shopping items, Delicious meals and drinks from the best in business, bills payment and cinema tickets to make that special weekend one to remember.</h5>
                                    </div>
                                </header>
                                <!-- .section-header -->
                                <div class="row justify-content-center">
                                    <div class="col-sm-3 about_col">
                                        <div class="circle" style="
                                        background: #271249;
                                        width:200px;
                                        height: 200px;
                                        line-height: 200px;
                                        text-align: center;
                                        ">
                                            <img src="<?php echo e(asset('assets/images/landing/features/statement.png')); ?>" alt="" style="display: inline-block;">
                                        </div>
                                        <h4 class="custom_color text-center font-weight-bold">Global catalog</h4>
                                        <p class="content custom_color text-center">
                                            A global catalog of redeemable product, Perks & experiences.
                                        </p>
                                    </div>
                                    <div class="col-sm-3 about_col">
                                        <div class="circle" style="
                                        background: #271249;
                                        width:200px;
                                        height: 200px;
                                        line-height: 200px;
                                        text-align: center;
                                        ">
                                            <img src="<?php echo e(asset('assets/images/landing/features/statement.png')); ?>" alt="" style="display: inline-block;">
                                        </div>
                                        <h4 class="custom_color text-center font-weight-bold">Discount</h4>
                                        <p class="content custom_color text-center">
                                            You will earn points for every N2,000 you spend at at our store, no matter how you choose to pay.
                                        </p>
                                    </div>
                                    <div class="col-sm-3 about_col">
                                        <div class="circle" style="
                                        background: #271249;
                                        width:200px;
                                        height: 200px;
                                        line-height: 200px;
                                        text-align: center;
                                        ">
                                            <img src="<?php echo e(asset('assets/images/landing/features/statement.png')); ?>" alt="" style="display: inline-block;">
                                        </div>
                                        <h4 class="custom_color text-center font-weight-bold">Privilege</h4>
                                        <p class="content custom_color text-center">
                                            Get benefit on exclusive items from any of our store worldwide.
                                        </p>
                                    </div>
                                    <div class="col-sm-3 about_col">
                                        <div class="circle" style="
                                        background: #271249;
                                        width:200px;
                                        height: 200px;
                                        line-height: 200px;
                                        text-align: center;
                                        ">
                                            <img
                                                    src="<?php echo e(asset('assets/images/landing/features/statement.png')); ?>" alt=""
                                                    style="display: inline-block;"
                                            >
                                        </div>
                                        <h4 class="custom_color text-center font-weight-bold">VIP</h4>
                                        <p class="content custom_color text-center">
                                            We make you a top priority customer.
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <!-- .col-full -->
                        </section>
                    </div>

                    <div class="row justify-content-center">
<section id="catalogue_landing" class="w-100">
                       <div class="row">
                           <div class="col-sm-12 text-center position-relative">
                               <h2 class="text-white">The Catalogue</h2>
                           </div>
                       </div>
    <div class="container mt-5">
    <div class="row">
        <div class="col-sm-4 text-center">
            <img src="<?php echo e(asset('assets/images/landing/catalogue/merchant.png')); ?>" alt="Merchants item">
            <h4 class="text-white">Merchandise Item</h4>
            <a href="<?php echo e(url('catalogue')); ?>">Explore Now</a>
        </div><div class="col-sm-4 text-center">
            <img src="<?php echo e(asset('assets/images/landing/catalogue/experiences.png')); ?>" alt="Explore Experiences">
            <h4 class="text-white">Experiences</h4>
            <a href="<?php echo e(url('experiences')); ?>">Explore Now</a>
        </div><div class="col-sm-4 text-center">
            <img src="<?php echo e(asset('assets/images/landing/catalogue/meals.png')); ?>" alt="Meals">
            <h4 class="text-white">Meals</h4>
            <a href="<?php echo e(url('')); ?>">Explore Now</a>
        </div><div class="col-sm-4 text-center">
            <img src="<?php echo e(asset('assets/images/landing/catalogue/cinemas.png')); ?>" alt="Claim movie tickets">
            <h4 class="text-white">Cinemas</h4>
            <a href="<?php echo e(url('')); ?>">Explore Now</a>
        </div><div class="col-sm-4 text-center">
            <img src="<?php echo e(asset('assets/images/landing/catalogue/billpayment.png')); ?>" alt="Pay bills">
            <h4 class="text-white">Bills Payment</h4>
            <a href="<?php echo e(url('catalogue')); ?>">Explore Now</a>
        </div><div class="col-sm-4 text-center">
            <img src="<?php echo e(asset('assets/images/landing/catalogue/travel.png')); ?>" alt="Hotel booking">
            <h4 class="text-white">Hotel Booking</h4>
            <a href="<?php echo e(url('catalogue')); ?>">Explore Now</a>
        </div>
    </div>
    </div>
</section>
                    </div>
                    <div class="divide mt-5">

                    </div>

                    <div class="row justify-content-center">
                        <div class="col-sm-10">
                            <h1 class="custom_color font-weight-bold text-center">Frequently asked questions</h1>
                            <div id="accordion" class="faq-accordion-wrap" role="tablist" aria-multiselectable="true">
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingOne">
                                        <h5 class="mb-0">
                                            <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne" class="custom_color font-weight-bold">
                                                <i class="icon"></i>
                                                How soon can I start redeeming?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseOne" class="collapse show" role="tabpanel" aria-labelledby="headingOne">
                                        <div class="card-block">
                                            As soon as you have enough points to redeem items from the categories.     </div>
                                    </div>
                                    <!-- .collapse -->
                                </div>
                                <!-- .card -->
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingTwo">
                                        <h5 class="mb-0">
                                            <a class="collapsed custom_color font-weight-bold" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                                When will I start earning points?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseTwo" class="collapse" role="tabpanel" aria-labelledby="headingTwo" style="">
                                        <div class="card-block">
                                            You will start earning Points from the moment you start transacting in the stated way from the day of the program launch.</div>
                                    </div>
                                </div>
                                <!-- .collapse -->
                                <!-- .card -->
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingThree">
                                        <h5 class="mb-0">
                                            <a class="collapsed custom_color font-weight-bold" data-toggle="collapse" data-parent="#accordion" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                                <i class="icon"></i>
                                                What is the Naira value of my points?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseThree" class="collapse font-weight-bold" role="tabpanel" aria-labelledby="headingThree">
                                        <div class="card-block">
                                            The Points given are not nominally valued, they are uniquely valued based on the Rewards available to you.  </div>
                                    </div>
                                    <!-- .collapse -->
                                </div>
                                <!-- .card -->
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingFour">
                                        <h5 class="mb-0">
                                            <a class="collapsed custom_color font-weight-bold" data-toggle="collapse" data-parent="#accordion" href="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                                                <i class="icon"></i>
                                                How long can I keep my Points for?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseFour" class="collapse" role="tabpanel" aria-labelledby="headingFour">
                                        <div class="card-block">
                                            You can keep your Points for 3 years. However, if your Points are not redeemed within the stated period, they expire and will be automatically deducted from your account. Your Point will be forfeited after it is deducted from your account.
                                        </div>
                                    </div>
                                    <!-- .collapse -->
                                </div>
                                <!-- .card -->
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingFive">
                                        <h5 class="mb-0">
                                            <a class="collapsed custom_color font-weight-bold" data-toggle="collapse" data-parent="#accordion" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive">
                                                <i class="icon"></i>
                                                How Should I to Contact if I Have Any Queries?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseFive" class="collapse" role="tabpanel" aria-labelledby="headingFive">
                                        <div class="card-block">
                                            You can contact us through the form below or reach us through the toll free numbers noted below
                                        </div>
                                    </div>
                                    <!-- .collapse -->
                                </div>
                                <!-- .card -->
                            </div>
                        </div>
                    </div>


                    <div class="divide mt-5">
                    </div>

                    <div class="row contact-info justify-content-center mt-5" id="contact-us" style="background-color: #f4f4f4;">
                        <div class="col-md-6">
                            <div class="text-block">
                                <h2 class="contact-page-title text-white">Get in touch with us today</h2>
                            </div>
                            <div class="contact-form">
                                <div role="form" class="wpcf7" id="wpcf7-f425-o1" lang="en-US" dir="ltr">
                                    <div class="screen-reader-response"></div>
                                    <form class="wpcf7-form" novalidate="novalidate">
                                        <div style="display: none;">
                                            <input type="hidden" name="_wpcf7" value="425">
                                            <input type="hidden" name="_wpcf7_version" value="4.5.1">
                                            <input type="hidden" name="_wpcf7_locale" value="en_US">
                                            <input type="hidden" name="_wpcf7_unit_tag" value="wpcf7-f425-o1">
                                            <input type="hidden" name="_wpnonce" value="e6363d91dd">
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-xs-12 col-md-6">
                                                <label>First name
                                                    <abbr title="required" class="required">*</abbr>
                                                </label>
                                                <br>
                                                <span class="wpcf7-form-control-wrap first-name">
                                                                        <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="" name="first-name">
                                                                    </span>
                                            </div>
                                            <!-- .col -->
                                            <div class="col-xs-12 col-md-6">
                                                <label>Last name
                                                    <abbr title="required" class="required">*</abbr>
                                                </label>
                                                <br>
                                                <span class="wpcf7-form-control-wrap last-name">
                                                                        <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="" name="last-name">
                                                                    </span>
                                            </div>
                                            <!-- .col -->
                                        </div>
                                        <!-- .form-group -->
                                        <div class="form-group">
                                            <label>Subject</label>
                                            <br>
                                            <span class="wpcf7-form-control-wrap subject">
                                                                    <input type="text" aria-invalid="false" class="wpcf7-form-control wpcf7-text input-text" size="40" value="" name="subject">
                                                                </span>
                                        </div>
                                        <!-- .form-group -->
                                        <div class="form-group">
                                            <label>Your Message</label>
                                            <br>
                                            <span class="wpcf7-form-control-wrap your-message">
                                                                    <textarea aria-invalid="false" class="wpcf7-form-control wpcf7-textarea" rows="10" cols="40" name="your-message"></textarea>
                                                                </span>
                                        </div>
                                        <!-- .form-group-->
                                        <div class="form-group clearfix">
                                            <p>
                                                <input type="button" value="Send Message" class="wpcf7-form-control wpcf7-submit custom_button_color">
                                            </p>
                                        </div>
                                        <!-- .form-group-->
                                        <div class="wpcf7-response-output wpcf7-display-none"></div>
                                    </form>
                                    <!-- .wpcf7-form -->
                                </div>
                                <!-- .wpcf7 -->
                            </div>
                            <!-- .contact-form7 -->
                        </div>

                    </div>

                </main>
                <!-- #main -->
            </div>
            <!-- #primary -->
        </div>
    </div>
    <!-- #content -->
<?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<!-- .site-footer -->
</div>

<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script>
    // $.fn.isOnScreen = function(){
    //
    //     var win = $(window);
    //
    //     var viewport = {
    //         top : win.scrollTop(),
    //         left : win.scrollLeft()
    //     };
    //     viewport.right = viewport.left + win.width();
    //     viewport.bottom = viewport.top + win.height();
    //
    //     var bounds = this.offset();
    //     bounds.right = bounds.left + this.outerWidth();
    //     bounds.bottom = bounds.top + this.outerHeight();
    //
    //     return (!(viewport.right < bounds.left || viewport.left > bounds.right || viewport.bottom < bounds.top || viewport.top > bounds.bottom));
    //
    // };
    // $(".overlay").click(function(){
    //     $(this).hide();
    // });
    // var about_position = $('#about').offset().top - 320;
    // var categories_position = $('#products-categories').offset().top - 150;
    // var features_position = $('.features').offset().top + -300;
    // var about_img_position = $('.about_img').offset().top;
    // var windowHeight = $(window).height()
    //
    // $(window).load(function(){
    //
    //     if(windowHeight > 400) {
    //         if ($("#about").isOnScreen()) {
    //             $(".about_img").addClass('show_about_img');
    //             $(".about_content").addClass('show_about_content');
    //         }
    //         if ($("#products-categories").isOnScreen()) {
    //             $(".landing_categories_img").addClass('show_landing_categories_img')
    //         }
    //     }
    //
    //
    //     //The animations should only work on large screen devices (Tabs, Desktops, Laptops,TV etc)
    //     if ( $( window ).width() > 768 ) {
    //         //The animations are revealed when the page scrolls to a certain postion on the screen
    //         $(window).scroll(function(){
    //             var winScroll = $(this).scrollTop();
    //             if(about_position < winScroll) {
    //                 $(".about_img").addClass('show_about_img');
    //                 $(".about_content").addClass('show_about_content');
    //             }
    //
    //             if(categories_position < winScroll) {
    //                 $(".landing_categories_img").addClass('show_landing_categories_img')
    //             }
    //
    //             if(features_position < winScroll) {
    //                 $(".features_container").addClass('show_features_container')
    //             }
    //
    //         });
    //     }else{
    //         $(".about_img").addClass('show_about_img');
    //         $(".about_content").addClass('show_about_content');
    //         $(".landing_categories_img").addClass('show_landing_categories_img');
    //         $(".features_container").addClass('show_features_container')
    //     }
    // })
</script>
</body>
</html>