<nav class="navbar navbar-expand-lg navbar-dark border-bottom nav_normal">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo03" aria-controls="navbarTogglerDemo03" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <a class="navbar-brand" href="<?php echo e(url("/")); ?>">
        <img src="<?php echo e(asset('assets/images/logo/cad_logo.png')); ?>" alt="" >
    </a>

    <div class="collapse navbar-collapse" id="navbarTogglerDemo03">
        <ul class="navbar-nav mr-auto ml-auto mt-2 mt-lg-0">
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(url('catalogue')); ?>">CATALOGUE <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(url('experiences')); ?>">EXPERIENCES</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(url('cinemas')); ?>">CINEMAS</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(url('events')); ?>">EVENTS</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(url('bills')); ?>">AIRTIME & BILLS</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(url('meals')); ?>">MEALS</a>
            </li>
            <li class="nav-item login_switch">
                <?php if(Auth::guest()): ?>
                    <form class="form-inline my-2 my-lg-0" action="<?php echo e(url('/login')); ?>" method="get">
                        <button class="btn btn-outline-success my-2 my-sm-0 auth_btn" type="submit">Login</button>
                    </form>
                <?php endif; ?>
            </li>
            <?php if(!Auth::guest()): ?>
                <li class="nav-item dropdown account_nav_menu">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="tm tm-login-register"></i>
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <a  class="animate-dropdown dropdown-item border-bottom" title="account" style="font-weight: 700;">
                            <p style="font-weight: 300; margin-bottom: 0">Balance</p>
                            <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                &#8358;<?php echo e((number_format( Auth::user()->currency->rate * Auth::user()->point->point))); ?>

                            <?php else: ?>
                                <?php echo e((number_format( Auth::user()->currency->rate * Auth::user()->point->point))); ?> <?php echo e(Auth::user()->currency->currency); ?>

                            <?php endif; ?>
                        </a>
                        <a  class="animate-dropdown dropdown-item" title="cart" href="<?php echo e(url('cart')); ?>">Cart
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    (<span class="count font-weight-bold"><?php echo e(Auth::user()->cartCount()[0]); ?></span>)
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                        <a  class="animate-dropdown dropdown-item" title="profile" href="<?php echo e(url('profile')); ?>">Profile</a>
                        <a class="animate-dropdown dropdown-item" title="orders" href="<?php echo e(url('orders')); ?>">Orders</a>
                        <a class="animate-dropdown dropdown-item" title="statement" href="<?php echo e(url('statement')); ?>">Statement</a>
                        <a class="animate-dropdown dropdown-item" title="logout" href="<?php echo e(url('/logout')); ?>">Logout</a>
                    </div>
                </li>
            <?php endif; ?>
        </ul>
        <div class="nav_right_container">
            <?php if(Auth::guest()): ?>
                <form class="form-inline my-2 my-lg-0" action="<?php echo e(url('/login')); ?>" method="get">
                    <button class="btn btn-outline-success my-2 my-sm-0 auth_btn" type="submit">Login</button>
                </form>
            <?php else: ?>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle account_link" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="tm tm-login-register"></i>
                    </a>
                    <div class="dropdown-menu account_dropdown" aria-labelledby="navbarDropdownMenuLink">
                        <a  class="animate-dropdown dropdown-item border-bottom" title="account" style="font-weight: 700;">
                            <p style="font-weight: 300; margin-bottom: 0">Balance</p>
                            <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                &#8358;<?php echo e((number_format(Auth::user()->point->point))); ?>

                            <?php else: ?>
                                <?php echo e((number_format( Auth::user()->currency->rate * Auth::user()->point->point))); ?> <?php echo e(Auth::user()->currency->currency); ?>

                            <?php endif; ?>
                        </a>
                        <a  class="animate-dropdown dropdown-item" title="cart" href="<?php echo e(url('cart')); ?>">Cart
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    (<span class="count font-weight-bold"><?php echo e(Auth::user()->cartCount()[0]); ?></span>)
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                        <a  class="animate-dropdown dropdown-item" title="profile" href="<?php echo e(url('profile')); ?>">Profile</a>
                        <a class="animate-dropdown dropdown-item" title="orders" href="<?php echo e(url('orders')); ?>">Orders</a>
                        <a class="animate-dropdown dropdown-item" title="statement" href="<?php echo e(url('statement')); ?>">Statement</a>
                        <a class="animate-dropdown dropdown-item" title="logout" href="<?php echo e(url('/logout')); ?>">Logout</a>
                    </div>
                </li>
                <span><?php echo e(Auth::user()->name); ?></span>
                <form class="form-inline my-2 my-lg-0" action="<?php echo e(url('/logout')); ?>">
                    <button class="btn btn-outline-success my-2 my-sm-0 auth_btn" type="submit">Logout</button>
                </form>
            <?php endif; ?>
        </div>
    </div>
</nav>