<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Statement - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">
    <style>
        ul.pagination {
            margin: 0 auto
        }
        ul.pagination li {
            display: inline;
            font-size: 12px;
            font-weight: bold;
            padding: 8px 1px;
            margin: 1px;
        }

        ul.pagination li a {

            color: black;
            padding: 8px 8px;
            text-decoration: none;
            transition: background-color .3s;
            border: 1px solid #ddd;
            margin: 4px;
        }

        ul.pagination li a.active {
            background-color: #271249;
            padding: 8px 8px;
            margin: 4px;
            color: white;
            border: 1px solid #271249;
        }

        ul.pagination li.active {
            /*background-color: #4CAF50;*/
            background-color: #271249;
            padding: 8px 8px;
            margin: 4px;
            color: white;
            border: 1px solid #271249;
        }

        /*ul.pagination li a:hover:not(.active) {background-color: #ddd;}*/
        ul.pagination li a:hover {background-color: #999999;}

        ul.pagination li.disabled {
            /*background-color: #cccccc;*/
            color: #ddd;
            padding: 4px 4px;
            border: none;
            margin: 1px;
        }
    </style>
</head>

<body class="woocommerce-active single-product full-width normal">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <div id="content" class="site-content">
        <div class="col-full mt-5" id="product">
            <div class="row">
                <?php echo $__env->make('partials.breadcrumb', ['pages' =>
          [
          ['name' =>'Statement', 'route' => null ]
          ]
          ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div class="row justify-content-center">
                            <div class="col-sm-8">
                        <?php if(isset($accounts)): ?>
                        <div class="type-page hentry">
                            <div class="entry-content">
                                <div class="woocommerce container mt-2">
                                        <h2 class="text-center" style="line-height: 150px;">Account Statement</h2>
                                    </div>
                                    <div class="cart-wrapper">
                                            <table class="table table-sm table-hover cart" style='width: 100%'>
                                                    <thead>
                                                    <th>Order Date</th>
                                                    <th>Type</th>
                                                    <th>Amount</th>
                                                    <th>Transaction No</th>
                                                    </thead>
                                                <tbody>
                                                <?php foreach($accounts as $item): ?>
                                                    <tr>
                                                        <td><?php echo e($item->created_at); ?></td>
                                                        <td>
                                                            <?php if($item->type == 1): ?>
                                                                Credit
                                                                <?php else: ?>
                                                            Debit
                                                                <?php endif; ?>
                                                        </td>
                                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                        <td>&#8358;<?php echo e(number_format($item->point_raw)); ?></td>
                                                        <?php else: ?>
                                                        <td><?php echo e(number_format($item->point_virtual)); ?> <?php echo e(Auth::user()->currency->currency); ?></td>
                                                        <?php endif; ?>
                                                            <td>
                                                            <?php if($item->order_id == ""): ?>
                                                                _
                                                                <?php else: ?>
                                                                <?php echo e($item->order_id); ?>

                                                                <?php endif; ?>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; ?>
                                                </tbody>
                                            </table>
                                        <?php echo e($accounts->links()); ?>

                                    </div>
                                    <!-- .cart-wrapper -->
                                </div>
                                <!-- .woocommerce -->
                            </div>
                            </div>
                        </div>
                            <!-- .entry-content -->
                        <?php endif; ?>
                    </main>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('js/landing.js')); ?>"></script>
</body>

</html>