<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Orders - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">

</head>

<body class="woocommerce-active single-product full-width normal">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<?php 
     $cartstatus = [
       'cancelled' => 0,
       'pending' => 1,
       'shipped' => 2,
       'delivered' => 3,
       'processing' => 4,
       'expired' => 5,
       'noncart' => 6,
       'deleted' => 7,
       'pickedup' => 8
    ];
$total = 0;
$anydelivery = "";
$address = "";
$sentto = "";
$is_delivery = false;
 ?>
<div id="page" class="hfeed site">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <div id="content" class="site-content">
        <div class="col-full mt-5" id="product">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">

                        <?php /*CONTENT AREA START*/ ?>
                        <div class="type-page hentry">
                            <div class="entry-content">
                                <div class="woocommerce container mt-5">
                                    <div
                                    style="
                                            background-image: url(<?php echo e(asset('assets/images/ordercomplete.png')); ?>);
                                            height: 150px;
                                            color: #fff;
                                            background-position: center;
                                            background-size: cover;
                                            margin-bottom: 60px;
                                            "
                                    >
                                    <h2 class="text-center text-white" style="line-height: 150px;">Order Receipt</h2>
                                    </div>
                                    <?php if(isset($order->order_no)): ?>
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <p class="font-weight-bold" style="margin-bottom: 1px;">Order no : <?php echo e($order->order_no); ?></p>
                                                <p class="font-weight-bold">Date : <?php echo e($order->created_at->format('D, j M, Y / h:i A')); ?></p>
                                            </div>
                                        </div>
                                        <hr>
                                    <?php endif; ?>
                                    <div class="cart-wrapper">
                                        <table id="myTable" class="display table table-hover table-bordered table-sm" cellspacing="0" width="100%">
                                            <thead>
                                            <th class="font-weight-bold">Name</th>
                                            <th class="font-weight-bold">Quantity</th>
                                            <th class="font-weight-bold">Delivery</th>
                                            <th class="font-weight-bold">Price (Unit)</th>
                                            <th class="font-weight-bold">Price (Total)</th>
                                            <th class="font-weight-bold">Status</th>
                                            <th class="font-weight-bold">Voucher</th>
                                            </thead>

                                            <tbody>
                                            <?php if(isset($data)): ?>
                                                <?php foreach($data as $item): ?>
                                                    <?php 
                                                        $total += ($item->price * $item->qty);
                                                     ?>
                                                    <tr>
                                                        <td><?php echo e($item->name); ?></td>
                                                        <td><?php echo e($item->qty); ?></td>
                                                        <td>
                                                            <?php if($item->delivery_type === 1): ?>
                                                                Pickup
                                                            <?php elseif($item->delivery_type === 2): ?>
                                                                Shipping
                                                                <?php else: ?>
                                                                E-Channel
                                                            <?php endif; ?>
                                                        </td>
                                                        <td>
                                                            <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                &#8358;<?php echo e(transform_product_price($item->price, 1)); ?>

                                                            <?php else: ?>
                                                                <?php echo e(transform_product_price($item->price, Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                                            <?php endif; ?>
                                                        </td>
                                                        <td>
                                                            <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                &#8358;<?php echo e(transform_product_price( ($item->price * $item->qty), 1)); ?>

                                                            <?php else: ?>
                                                                <?php echo e(transform_product_price( ($item->price * $item->qty), Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                                            <?php endif; ?>
                                                        </td>
                                                        <td>
                                                            <?php if($item->delivery_type != 2 && $item->delivery_type != 1): ?>
                                                                Successful
                                                            <?php else: ?>
                                                                <?php echo e(ucfirst(array_flip($cartstatus)[$item->status])); ?>

                                                            <?php endif; ?>
                                                        </td>
                                                        <td><?php echo e($item->voucher); ?></td>

                                                        <?php if($item->delivery_type === 2): ?>
                                                            <?php if(isset($item->address)): ?>
                                                                <?php $address = $item->address; $is_delivery = true; ?>
                                                            <?php endif; ?>
                                                        <?php endif; ?>

                                                        <?php if($item->delivery_type === 2): ?>
                                                            <?php 
                                                                $anydelivery = "( + delivery charge)"
                                                             ?>
                                                            <?php if(isset($item->firstname)): ?>
                                                                <?php $sentto = $item->firstname ?>
                                                            <?php endif; ?>
                                                            <?php if(isset($item->lastname)): ?>
                                                                <?php $lastname = $item->lastname ?>
                                                            <?php endif; ?>
                                                        <?php endif; ?>

                                                        <?php if($item->delivery_type === 2): ?>
                                                            <?php if(isset($item->phone)): ?>
                                                                <?php echo e($item->phone); ?>

                                                            <?php endif; ?>
                                                        <?php endif; ?>

                                                    </tr>
                                                <?php endforeach; ?>
                                                <tr class="font-weight-bold">Total cost <?php  echo $anydelivery;  ?> :
                                                    <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                        &#8358; <?php echo e(transform_product_price( $total, 1)); ?>

                                                    <?php else: ?>
                                                        <?php echo e(transform_product_price( ($total + $delivery_charge), Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                                    <?php endif; ?>
                                                </tr>
                                                <tr class="font-weight-bold">

                                                </tr>
                                            <?php endif; ?>
                                            </tbody>
                                        </table>
                                        <?php if($is_delivery): ?>
                                            <div class="row">
                                                <hr>
                                                <div class="col-sm-12 p-4">
                                                    <p class="font-weight-bold" style="margin-bottom: 1px;">Delivery address : <?php echo e($address); ?></p>
                                                    <p class="font-weight-bold">Sent to : <?php echo e($sentto); ?></p>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                    <!-- .cart-wrapper -->
                                </div>
                                <!-- .woocommerce -->
                            </div>
                            <!-- .entry-content -->
                        </div>
                    </main>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
    <script src="<?php echo e(asset('js/landing.js')); ?>"></script>
<script>
    $(".statement_table").dataTable();
    $("#DataTables_Table_0_wrapper").css("width", "100%");

</script>
</body>

</html>