<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

</head>
<body class="woocommerce-active page-template-template-landingpage-v2 can-uppercase">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <header id="masthead" style="background-image: none;">
            <?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </header>
    <!-- .header-v6 -->
    <!-- ============================================================= Header End ============================================================= -->
    <div id="content" class="site-content" tabindex="-1">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div id="landslider" class="carousel slide" data-ride="carousel">
                            <div>
                        <ul class="carousel-indicators">
                            <li data-target="#landslider" data-slide-to="0" class="active"></li>
                            <li data-target="#landslider" data-slide-to="1"></li>
                        </ul>
                        <div class="carousel-inner">
                            <div class="carousel-item active">
                                <img src="<?php echo e(asset('assets/images/landing/home_slider_new.jpg')); ?>" alt="Slider" >
                            </div>
                            <div class="carousel-item">
                                <img src="<?php echo e(asset('assets/images/landing/home_slider_1.jpg')); ?>" alt="Slider" >
                            </div>
                        </div>
                        <a class="carousel-control-prev" href="#landslider" data-slide="prev">
                            <span class="carousel-control-prev-icon"></span>
                        </a>
                        <a class="carousel-control-next" href="#landslider" data-slide="next">
                            <span class="carousel-control-next-icon"></span>
                        </a>
                        </div>
                        </div>
                        <div class="divide about">
                        </div>

                        <div class="row justify-content-center mb-5" id="about">
                            <div class="about_cirlce"></div>
                            <div class="col-sm-6 text-center about_box d-none d-sm-block ">
                                <img src="<?php echo e(asset('assets/images/about_hostes.jpg')); ?>" alt="" class="about_img">
                            </div>
                            <div class="col-sm-6 col-xs-12 text-left landing_about">
                                <div class="container about_content">
                                <h2 style="color:#3D1A57"><strong>About Arik Air</strong><br> <span class="font-weight-bold">Employee Rewards</span></h2>
                            <p class="pr-5 pl-2">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aspernatur, at blanditiis dolor doloribus harum iste, laboriosam, nam nesciunt placeat quaerat quam quis rem vero. Asperiores cupiditate, maiores? Animi, obcaecati, rem.</p>
                            <p class="pr-5 pl-2">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aspernatur, at blanditiis dolor doloribus harum iste, laboriosam, nam nesciunt placeat quaerat quam quis rem vero. Asperiores cupiditate, maiores? Animi, obcaecati, rem.</p>
                            </div>
                            </div>

                        </div>

                        <div class="divide landing_categories">
                        </div>

                        <div class="row">
                        <section id="products-categories" style="
                                background-size: cover;
                                background-position: center center;
                                background-image: url(<?php echo e(asset('assets/images/bg/categories.jpg')); ?>);
                                padding: 3em 10px;
                                background-attachment: fixed;
                                " >
                            <div class="col-full">
                                <header class="section-header text-white text-center">
                                    <div class="container" style="margin-bottom: 6em; position:relative;">
                                    <h2 class="landing_categories_title">
                                        <strong>Choose a category </strong>
                                    </h2>
                                    <h5 class="text-white">A suit of carefully curated categories to choose to spend your earned points, ranging from Travel experiences, Access to a rich catalogue of curated shopping items, Delicious meals and drinks from the best in business, bills payment and cinema tickets to make that special weekend one to remember.</h5>
                                    </div>
                                </header>
                                <!-- .section-header -->
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 featured_menu">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/cinema.png')); ?>" class="landing_categories_img" alt="">
                                    </div>
                                    <div class="col-md-4 col-sm-6 featured_menu">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/billsair.png')); ?>" class="landing_categories_img" alt="">
                                    </div>
                                    <div class="col-md-4 featured_menu">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/travel.png')); ?>" class="landing_categories_img" alt="">
                                    </div>
                                    <div class="col-md-4 featured_menu">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/meals.png')); ?>" class="landing_categories_img" alt="">
                                    </div>
                                    <div class="col-md-4 featured_menu">
                                        <a href="<?php echo e(url('experiences')); ?>">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/experiences.png')); ?>" class="landing_categories_img" alt="International Experiences">
                                        </a>
                                    </div>
                                    <div class="col-md-4 featured_menu">
                                        <a href="<?php echo e(url('catalogue')); ?>">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/merchandise.png')); ?>" class="landing_categories_img" alt="">
                                        </a>
                                    </div>
                                </div>
                                <!-- .row -->
                            </div>
                            <!-- .col-full -->
                        </section>
                        </div>

                        <div class="divide features">
                        </div>

                        <div class="row justify-content-center features_container" id="features">

                            <div class="col-sm-12 text-center mb-5">
                                <h3>Features of<br> <strong class="font-weight-bold" style="color: #33010E;">Arik Air Employee Rewards</strong></h3>

                            </div>
                            <div class="col-sm-4 text-center feature_box ">
                                <div class="feature_1 text-white">
                                <img src="<?php echo e(asset('assets/images/landing/features/statement.png')); ?>" alt="">
                                <h3>Statements</h3>
                                <p>View a detailed transaction log from
                                    the statement tab when you log
                                    into your Account account</p>
                                </div>
                            </div>
                             <div class="col-sm-4 text-center feature_box">
                              <div class="feature_2 text-white">
                                <img src="<?php echo e(asset('assets/images/landing/features/notification.png')); ?>" alt="">
                                <h3>Instant Notifications</h3>
                                <p>Subscribe and Recieve important notifications for rewards and updates on the go.!</p>
                            </div>
                              </div>
                            <div class="col-sm-4 text-center feature_box">
                                <div class="feature_3 text-white">
                                <img src="<?php echo e(asset('assets/images/landing/features/profile.png')); ?>" alt="">
                                <h3>Profile</h3>
                                <p>View and Edit your profile
                                    e.g. email, password, address, phone number and other biodata, etc.</p>
                            </div>
                            </div>
                            </div>

                        <div class="divide mt-5">
                            <hr>
                        </div>

                        <div class="row justify-content-center">
                            <div class="col-sm-10">
                                <h2 class="faq-title-v2">Frequently asked questions</h2>
                            <div id="accordion" class="faq-accordion-wrap" role="tablist" aria-multiselectable="true">
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingOne">
                                        <h5 class="mb-0">
                                            <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                                <i class="icon"></i>
                                                How soon can I start redeeming?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseOne" class="collapse show" role="tabpanel" aria-labelledby="headingOne">
                                        <div class="card-block">
                                            As soon as you have enough points to redeem items from the categories.     </div>
                                    </div>
                                    <!-- .collapse -->
                                </div>
                                <!-- .card -->
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingTwo">
                                        <h5 class="mb-0">
                                            <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">

                                                When will I start earning points?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseTwo" class="collapse" role="tabpanel" aria-labelledby="headingTwo" style="">
                                        <div class="card-block">
                                            You will start earning Points from the moment you start transacting in the stated way from the day of the program launch.</div>
                                    </div>
                                    </div>
                                    <!-- .collapse -->
                                <!-- .card -->
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingThree">
                                        <h5 class="mb-0">
                                            <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                                <i class="icon"></i>
                                                What is the Naira value of my points?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseThree" class="collapse" role="tabpanel" aria-labelledby="headingThree">
                                        <div class="card-block">
                                            The Points given are not nominally valued, they are uniquely valued based on the Rewards available to you.  </div>
                                    </div>
                                    <!-- .collapse -->
                                </div>
                                <!-- .card -->
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingFour">
                                        <h5 class="mb-0">
                                            <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                                                <i class="icon"></i>
                                                How long can I keep my Points for?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseFour" class="collapse" role="tabpanel" aria-labelledby="headingFour">
                                        <div class="card-block">
                                            You can keep your Points for 3 years. However, if your Points are not redeemed within the stated period, they expire and will be automatically deducted from your account. Your Point will be forfeited after it is deducted from your account.
 </div>
                                    </div>
                                    <!-- .collapse -->
                                </div>
                                <!-- .card -->
                                <div class="card">
                                    <div class="card-header" role="tab" id="headingFive">
                                        <h5 class="mb-0">
                                            <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive">
                                                <i class="icon"></i>
                                                How Should I to Contact if I Have Any Queries?
                                            </a>
                                        </h5>
                                    </div>
                                    <!-- .card-header -->
                                    <div id="collapseFive" class="collapse" role="tabpanel" aria-labelledby="headingFive">
                                        <div class="card-block">
                                        You can contact us through the form below or reach us through the toll free numbers noted below
                                        </div>
                                    </div>
                                    <!-- .collapse -->
                                </div>
                                <!-- .card -->
                            </div>
                            </div>
                        </div>


                        <div class="divide mt-5">
                        </div>

                        <div class="row contact-info justify-content-center mt-5" id="contact-us" style="background-color: #f4f4f4;">
                            <div class="col-md-6">
                                <div class="text-block">
                                    <h2 class="contact-page-title">Contact us</h2>
                                    <p>Your messages are important to us, we want to hear from you.</p>
                                </div>
                                <div class="contact-form">
                                    <div role="form" class="wpcf7" id="wpcf7-f425-o1" lang="en-US" dir="ltr">
                                        <div class="screen-reader-response"></div>
                                        <form class="wpcf7-form" novalidate="novalidate">
                                            <div style="display: none;">
                                                <input type="hidden" name="_wpcf7" value="425">
                                                <input type="hidden" name="_wpcf7_version" value="4.5.1">
                                                <input type="hidden" name="_wpcf7_locale" value="en_US">
                                                <input type="hidden" name="_wpcf7_unit_tag" value="wpcf7-f425-o1">
                                                <input type="hidden" name="_wpnonce" value="e6363d91dd">
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-xs-12 col-md-6">
                                                    <label>First name
                                                        <abbr title="required" class="required">*</abbr>
                                                    </label>
                                                    <br>
                                                    <span class="wpcf7-form-control-wrap first-name">
                                                                        <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="" name="first-name">
                                                                    </span>
                                                </div>
                                                <!-- .col -->
                                                <div class="col-xs-12 col-md-6">
                                                    <label>Last name
                                                        <abbr title="required" class="required">*</abbr>
                                                    </label>
                                                    <br>
                                                    <span class="wpcf7-form-control-wrap last-name">
                                                                        <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="" name="last-name">
                                                                    </span>
                                                </div>
                                                <!-- .col -->
                                            </div>
                                            <!-- .form-group -->
                                            <div class="form-group">
                                                <label>Subject</label>
                                                <br>
                                                <span class="wpcf7-form-control-wrap subject">
                                                                    <input type="text" aria-invalid="false" class="wpcf7-form-control wpcf7-text input-text" size="40" value="" name="subject">
                                                                </span>
                                            </div>
                                            <!-- .form-group -->
                                            <div class="form-group">
                                                <label>Your Message</label>
                                                <br>
                                                <span class="wpcf7-form-control-wrap your-message">
                                                                    <textarea aria-invalid="false" class="wpcf7-form-control wpcf7-textarea" rows="10" cols="40" name="your-message"></textarea>
                                                                </span>
                                            </div>
                                            <!-- .form-group-->
                                            <div class="form-group clearfix">
                                                <p>
                                                    <input type="button" value="Send Message" class="wpcf7-form-control wpcf7-submit custom_button_color">
                                                </p>
                                            </div>
                                            <!-- .form-group-->
                                            <div class="wpcf7-response-output wpcf7-display-none"></div>
                                        </form>
                                        <!-- .wpcf7-form -->
                                    </div>
                                    <!-- .wpcf7 -->
                                </div>
                                <!-- .contact-form7 -->
                            </div>

                        </div>

                    </main>
                    <!-- #main -->
                </div>
                <!-- #primary -->
            </div>
    </div>
    <!-- #content -->
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <!-- .site-footer -->
</div>

<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script>
    $.fn.isOnScreen = function(){

        var win = $(window);

        var viewport = {
            top : win.scrollTop(),
            left : win.scrollLeft()
        };
        viewport.right = viewport.left + win.width();
        viewport.bottom = viewport.top + win.height();

        var bounds = this.offset();
        bounds.right = bounds.left + this.outerWidth();
        bounds.bottom = bounds.top + this.outerHeight();

        return (!(viewport.right < bounds.left || viewport.left > bounds.right || viewport.bottom < bounds.top || viewport.top > bounds.bottom));

    };
    $(".overlay").click(function(){
        $(this).hide();
    });
    var about_position = $('#about').offset().top - 320;
    var categories_position = $('#products-categories').offset().top - 150;
    var features_position = $('.features').offset().top + -300;
    var about_img_position = $('.about_img').offset().top;
    var windowHeight = $(window).height()

    $(window).load(function(){

        if(windowHeight > 400) {
            if ($("#about").isOnScreen()) {
                $(".about_img").addClass('show_about_img');
                $(".about_content").addClass('show_about_content');
            }
            if ($("#products-categories").isOnScreen()) {
                $(".landing_categories_img").addClass('show_landing_categories_img')
            }
        }


        //The animations should only work on large screen devices (Tabs, Desktops, Laptops,TV etc)
        if ( $( window ).width() > 768 ) {
            //The animations are revealed when the page scrolls to a certain postion on the screen
            $(window).scroll(function(){
                var winScroll = $(this).scrollTop();
                if(about_position < winScroll) {
                    $(".about_img").addClass('show_about_img');
                    $(".about_content").addClass('show_about_content');
                }

                if(categories_position < winScroll) {
                    $(".landing_categories_img").addClass('show_landing_categories_img')
                }

                if(features_position < winScroll) {
                    $(".features_container").addClass('show_features_container')
                }

            });
        }else{
            $(".about_img").addClass('show_about_img');
            $(".about_content").addClass('show_about_content');
            $(".landing_categories_img").addClass('show_landing_categories_img');
            $(".features_container").addClass('show_features_container')
        }
    })


// //    Smooth scroll
//     let scrollLink = $('.quick-scroll-icon');
//     //Scroll Animation Effect
//     scrollLink.on('click', function(e){
//         e.preventDefault()
//         $('body, html').animate( {scrollTop: $(this.hash).offset().top - 100
//         }, 500)
//     })
</script>
</body>
</html>