<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <?php if(isset($pagename)): ?>
    <title><?php echo e($pagename); ?> - Experiences - <?php echo e(config('app.name')); ?></title>
    <?php else: ?>
    <title>Experiences - <?php echo e(config('app.name')); ?></title>
    <?php endif; ?>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
</head>
<body class="woocommerce-active left-sidebar  pace-done">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
<?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<!-- .top-bar-v1 -->
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-list" aria-hidden="true"></i>
                        <span>Categories</span>
                    </button>
                    <ul id="menu-departments-menu" class="dropdown-menu yamm departments-menu-dropdown">
                        <?php if($response): ?>
                            <?php if($response->status == 1): ?>
                                <?php foreach($response->data as $category): ?>
                                    <li class="highlight menu-item animate-dropdown">
                                        <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("experiences",[str_slug($category->category, '-') .'__' . $category->category_id])); ?>">
                                            <?php echo e(ucfirst($category->category)); ?></a>
                                    </li>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        <?php else: ?>
                            <li class="highlight menu-item animate-dropdown">
                                <a title="" href="javascript:">Failed to load categories</a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>

                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="">

                    <!-- .input-group -->
                </form>
                <!-- .navbar-search -->
                <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            </div>
            <!-- /.row -->
        </div>
        <!-- .col-full -->
        <div class="col-full handheld-only">
            <div class="handheld-header">
                <!-- /.row -->
                <div class="techmarket-sticky-wrap">
                    <div class="row">
                        <nav id="handheld-navigation" class="handheld-navigation" aria-label="Handheld Navigation">
                            <button class="btn navbar-toggler" type="button">
                                <i class="fa fa-list" aria-hidden="true"></i>
                                <span>Menu</span>
                            </button>
                            <div class="handheld-navigation-menu">
                                <span class="tmhm-close">Close</span>
                                <ul id="menu-departments-menu-1" class="nav">
                                    <?php if($response): ?>
                                        <?php if($response->status == 1): ?>
                                            <?php foreach($response->data as $category): ?>
                                                <li class="highlight menu-item animate-dropdown">
                                                    <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("experiences",[str_slug($category->category, '-') .'__' . $category->category_id])); ?>">
                                                        <?php echo e(ucfirst($category->category)); ?></a>
                                                </li>
                                            <?php endforeach; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </ul>
                            </div>
                            <!-- .handheld-navigation-menu -->
                        </nav>
                        <!-- .handheld-navigation -->
                        <div class="site-search">
                            <div class="widget woocommerce widget_product_search">
                                <form role="search" method="get" class="woocommerce-product-search" action="">
                                </form>
                            </div>
                            <!-- .widget -->
                        </div>
                        <a class="handheld-header-cart-link has-icon" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </div>
                    <!-- /.row -->
                </div>
                <!-- .techmarket-sticky-wrap -->
            </div>
            <!-- .handheld-header -->
        </div>
        <!-- .handheld-only -->
    </header>
    <div id="content" class="site-content" tabindex="-1">
        <div class="col-full">
            <div class="row">
            <?php if(isset($pagename)): ?>
            <?php echo $__env->make('partials.breadcrumb', ['pages' =>
                          [
                          ['name' =>'Experiences', 'route' => 'experiences' ],
                          ['name' =>$pagename, 'route' => null ]
                          ]
                          ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            <?php else: ?>
                <?php echo $__env->make('partials.breadcrumb', ['pages' =>
                       [
                       ['name' =>'Experiences', 'route' => 'experiences' ]
                       ]
                       ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <?php endif; ?>
                <!-- .woocommerce-breadcrumb -->
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div class="shop-archive-header">
                        <?php echo $__env->make('partials.experience.carousel', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            <!-- .jumbotron -->
                        </div>
                        <div class="shop-control-bar">
                            <!-- .handheld-sidebar-toggle -->
                            <h1 class="woocommerce-products-header__title page-title font-weight-bold  mt-5 mb-2">Experiences</h1>
                            <!-- .form-techmarket-wc-ppp -->
                            <?php /*<form method="get" class="woocommerce-ordering">*/ ?>
                                <?php /*<select class="sortby" name="sortby">*/ ?>
                                    <?php /*<option value="1" selected>Sort by price: low to high</option>*/ ?>
                                    <?php /*<option value="2">Sort by price: high to low</option>*/ ?>
                                <?php /*</select>*/ ?>
                            <?php /*</form>*/ ?>
                            <?php /*<form method="get" class="woocommerce-ordering">*/ ?>
                                <?php /*<select class="sortdelivery" name="sortdelivery">*/ ?>
                                    <?php /*<option value="3" selected>Filter by delvery type: All</option>*/ ?>
                                    <?php /*<option value="1">Filter by delvery type: Pickup</option>*/ ?>
                                    <?php /*<option value="2">Filter by delvery type: Delivery</option>*/ ?>
                                <?php /*</select>*/ ?>
                            <?php /*</form>*/ ?>
                            <?php /*<!-- .woocommerce-ordering -->*/ ?>
                            <?php /*<nav class="techmarket-advanced-pagination">*/ ?>
                                <?php /*<form class="form-adv-pagination" method="post">*/ ?>
                                    <?php /*<input type="number" value="1" class="form-control" step="1" max="5" min="1" size="2" id="goto-page">*/ ?>
                                <?php /*</form> of 5<a href="#" class="next page-numbers">→</a>*/ ?>
                            <?php /*</nav>*/ ?>
                            <?php /*<!-- .techmarket-advanced-pagination -->*/ ?>
                        </div>
                        <div class="tab-content">
                            <div id="grid" class="tab-pane active" role="tabpanel">
                                <div class="woocommerce columns-5">
                                    <div class="products">
                                        <?php if(isset($products->data)): ?>
                                        <?php foreach($products->data as $product): ?>
                                        <div class="product ">
                                            <a class="woocommerce-LoopProduct-link woocommerce-loop-product__link" href="<?php echo e(url('experience', [preg_replace('/\s+/', '-',$product->product)."___".$product->product_code])); ?>">
                                                <img src="<?php echo e(asset('assets/images/spinnerb.gif')); ?>" width="224" height="197" alt="" class="attachment-shop_catalog size-shop_catalog wp-post-image resize_image_custom" data-src="<?php echo e($product->image); ?>"
                                                  >
                                                <span class="price">
                                                    <span class="woocommerce-Price-amount amount">
                                                      <?php if(Auth::check()): ?>
                                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                            <span class="woocommerce-Price-currencySymbol">&#8358;<?php echo e(number_format($product->price, 1, '.', ',')); ?></span>
                                                        <?php else: ?>
                                                          <span class="woocommerce-Price-currencySymbol"><?php echo e(number_format( Auth::user()->currency->rate * $product->price, 1, '.', ',')); ?> <?php echo e(Auth::user()->currency->currency); ?></span>
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                </span>
                                                </span>
                                                <h2 class="woocommerce-loop-product__title"><?php echo e(str_limit($product->product, 60)); ?></h2>
                                            </a>
                                            <!-- .woocommerce-LoopProduct-link -->
                                            <div class="hover-area">
                                                <a class="button" href="<?php echo e(url('experience', [preg_replace('/\s+/', '-',$product->product)."___".$product->product_code])); ?>">View Experience</a>
                                                  </div>
                                            <!-- .hover-area -->
                                        </div>
                                            <?php endforeach; ?>
                                    </div>
                                    <?php if(isset($products->data)): ?>
                                    <?php if(count($products->data) > 9): ?>
                                    <div class="loadmore_container mt-5 text-center">
                                        <a id="loadmorebtn">
                                            <i class="fa fa-spinner fa-spin off process_indicator"></i> Load more</a>
                                    </div>
                                        <?php endif; ?>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <p>No Experience available</p>
                                <?php endif; ?>
                                    <!-- .products -->
                                </div>
                                <!-- .woocommerce -->
                            </div>

                            <!-- .tab-pane -->
                        </div>
                        <!-- .tab-content -->
                    </main>
                    <!-- #main -->
                </div>
                <!-- #primary -->
                <div id="secondary" class="widget-area shop-sidebar" role="complementary">
                    <div class="widget woocommerce widget_product_categories techmarket_widget_product_categories" id="techmarket_product_categories_widget-2">
                        <ul class="product-categories ">
                            <li class="product_cat">
                                <span>Browse Categories</span>
                                <ul>
                                    <?php if(isset($response)): ?>
                                        <?php if($response->status == 1): ?>
                                            <?php foreach($response->data as $category): ?>
                                                <li class="cat-item">
                                                    <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("experiences",[str_slug($category->category, '-') .'__' . $category->category_id])); ?>">
                                                        <?php echo e(ucfirst($category->category)); ?></a>
                                                </li>
                                            <?php endforeach; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </ul>
                            </li>
                        </ul>
                    </div>

                </div>
                <!-- #secondary -->
            </div>
            <!-- .row -->
        </div>
        <!-- .col-full -->
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>

<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/theia-sticky-sidebar.js')); ?>"></script>
<script>
    var baseUrl = "<?php echo config('app.base_url')?>";
    var conversionRate = "<?php echo Auth::user()->currency->rate ;?>"
    var appCurrency = "<?php echo Auth::user()->currency->currency ;?>"
    var appCurrencyFixed = "<?php echo Auth::user()->currency->is_currency_fixed ;?>"

    var total =  "<?php echo $total; ?>";
    var productid =  "<?php echo $productid; ?>";
    var pages = total / 10,
        currentPage = 1,
        maxPage = function (){
            if(pages % 1 != 0){
                return  Math.floor(total / 10) + 1;
            }else{
                return  Math.floor(total / 10);
            }
        }
    nextPage = function(){
        if(currentPage == maxPage){
            return currentPage;
        }else if(currentPage > maxPage) {
            return false;
        }
        else
        {
            return currentPage + 1;
        }
    }
    $('.shop-sidebar').theiaStickySidebar({
        // Settings
        additionalMarginTop: 30
    });
    $(".overlay").click(function(){
        $(this).hide();
    });
</script>
<script>
    //INTERSECTION OBSERVER
    //LAZY LOAD IMAGES
    var options = {
        rootMargin: '0px',
        threshold: 0.1
    };
    var images = $('img.wp-post-image');
    if (!('IntersectionObserver' in window)) {
        Array.from(images).forEach(image => preLoadImage(image));
    } else {
        var observer = new IntersectionObserver(handleIntersection, options);

        $.each(images, function(index, img) {
            observer.observe(img);
        })
    }
    function handleIntersection(entries, observer){

        entries.forEach(entry => {
            if(entry.intersectionRatio > 0) {
                observer.unobserve(entry.target);
                preLoadImage(entry.target)
            }
        })
    }

    function loadImage(image){
        var src = image.dataset.src;
        $.get(src)
            .done(function(){
                image.src = src;
            })
    }

    function preLoadImage(image){
        var src = image.dataset.src;
        image.src = src;
    }


    function loadProducts(items){
        $.each(items, function (i, item) {
            if(appCurrencyFixed == 1){
                //Currency fixed
                var price = new Intl.NumberFormat('en-GB').format(item.price);
                price = "&#8358;"+price
            }else{
                var price = new Intl.NumberFormat('en-GB').format(item.price);
                price += " " +appCurrency
            }

            var product="<div class='product'>"
            product += "<a class='woocommerce-LoopProduct-link woocommerce-loop-product__link' href=\"<?php echo url('catalogue/product'); ?>/"+item.product_code +"\">"
            product += "<img src="+item.image+" width='224' height='197' class='attachment-shop_catalog size-shop_catalog wp-post-image resize_image_custom'>"
            product += "<span class='price'><span class='woocommerce-Price-amount amount'>"+price+"</span></span>"
            product += "<h2 class='woocommerce-loop-product__title'>"+item.product+"</h2>"
            product += "<div classs='hover-area'><a class='button' href=\"<?php echo url('catalogue/product'); ?>/"+item.product_code +"\">View product</a></div>"
            product += "</a></div>"
            $(".products").append(product)
        })
    }

    function sortProducts(items){
        $(".products").html('')
        if(!items){
            $(".products").html("<h5 style='margin: 0 auto'>No data available</h5>");
            return false;
        }
        $.each(items, function (i, item) {
            if(appCurrencyFixed == 1){
                //Currency fixed
                var price = new Intl.NumberFormat('en-GB').format(item.price);
                price = "&#8358;"+price
            }else{
                var price = new Intl.NumberFormat('en-GB').format(item.price);
                price += " " +appCurrency
            }

            var product="<div class='product'>"
            product += "<a class='woocommerce-LoopProduct-link woocommerce-loop-product__link' href=\"<?php echo url('catalogue/product'); ?>/"+item.product_code +"\">"
            product += "<img src="+item.image+" width='224' height='197' class='attachment-shop_catalog size-shop_catalog wp-post-image resize_image_custom'>"
            product += "<span class='price'><span class='woocommerce-Price-amount amount'>"+price+"</span></span>"
            product += "<h2 class='woocommerce-loop-product__title'>"+item.product+"</h2>"
            product += "<div classs='hover-area'><a class='button' href=\"<?php echo url('catalogue/product'); ?>/"+item.product_code +"\">View product</a></div>"
            product += "</a></div>"
            $(".products").append(product)
        })
    }

    $(document).ready(function () {
        $('#loadmorebtn').click(function () {
            $(".process_indicator").removeClass('off');
            disableItem($("#loadmorebtn"), true);
            var exp_country = Cookies.get('exp_country');
            var exp_city = Cookies.get('exp_city');
            $.ajax({
                    url:baseUrl + 'load_more_experience_items',
                    data: {'nextPage':nextPage,
                        'productid': productid,
                        'exp_country': exp_country,
                        'exp_city' : exp_city},
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type:'POST'
                }
            )
                .done(function (res) {
                    $(".process_indicator").addClass('off');
                    disableItem($("#loadmorebtn"), false)
                    // handle success
                    if (!res) {
                        alertui.notify('error', 'Failed to retrieve more items');
                        return false;
                    }
                    if (res.status == 400) {
                        alertui.notify('error', res.data);
                        return false;
                    } else {
                        if(res.data.status == 0){
                            $('#loadmorebtn').hide();
                            return false;
                        }
                        currentPage++;
                        loadProducts(res.data.data);
                        if(currentPage == maxPage()){
                            $('#loadmorebtn').hide();
                        }
                    }

                })
                .fail(function (error) {
                    // handle error
                    disableItem($("#loadmorebtn"), false)
                    $(".process_indicator").addClass('off');
                    if(response.status == 500){
                        alertui.notify('error', 'An Error Occurred. Please try again.')
                    }
                    else{
                        alertui.notify('error', response.responseJSON.data)
                    }
                })
        })

        $("select[name='sortby']").change(function (e) {
            e.preventDefault();
            var sortval = $("select[name='sortby'] option:selected").val();
            var exp_country = Cookies.get('exp_country');
            var exp_city = Cookies.get('exp_city');
            alertui.load('Sorting products...',
                function(loadClose, loadEl) {
                    $.ajax({
                            url:baseUrl + 'sort_experience_items',
                            data: {'sort':sortval,
                                'productid': productid,
                                'exp_country': exp_country,
                                'exp_city' : exp_city},
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            type:'POST'
                        }
                    )
                        .done(function (res) {
                            loadClose();
                            $(".process_indicator").addClass('off');
                            disableItem($("#loadmorebtn"), false)
                            // handle success
                            if (!res) {
                                alertui.notify('error', 'Failed to retrieve more items');
                                return false;
                            }
                            if (res.status == 400) {
                                alertui.notify('error', res.data);
                                return false;
                            } else {
                                if(res.data.status == 0){
                                    $('#loadmorebtn').hide();
                                    return false;
                                }
                                console.log(res.data.data)
                                currentPage++;
                                sortProducts(res.data.data);
                                if(currentPage == maxPage()){
                                    $('#loadmorebtn').hide();
                                }
                            }

                        })
                        .fail(function (response) {
                            loadClose();
                            // handle error
                            disableItem($("#loadmorebtn"), false)
                            $(".process_indicator").addClass('off');
                            if(response.status == 500){
                                alertui.notify('error', 'An Error Occurred. Please try again.')
                            }
                            else{
                                alertui.notify('error', response.responseJSON.data)
                            }
                        })
                })
        })

        $("select[name='sortdelivery']").change(function (e) {
            var exp_country = Cookies.get('exp_country');
            var exp_city = Cookies.get('exp_city');
            e.preventDefault();
            var filterval = $("select[name='sortdelivery'] option:selected").val();
            alertui.load('Filtering products...',
                function(loadClose, loadEl) {
                    $.ajax({
                            url:baseUrl + 'sort_experience_items_delivery',
                            data: {'filterval':filterval,
                                'productid': productid,
                                'exp_country': exp_country,
                                'exp_city' : exp_city},
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            type:'POST'
                        }
                    )
                        .done(function (res) {
                            loadClose();
                            $(".process_indicator").addClass('off');
                            disableItem($("#loadmorebtn"), false)
                            // handle success
                            if (!res) {
                                alertui.notify('error', 'Failed to retrieve more items');
                                return false;
                            }
                            if (res.status == 400) {
                                alertui.notify('error', res.data);
                                return false;
                            } else {
                                if(res.data.status == 0){
                                    $('#loadmorebtn').hide();
                                    return false;
                                }
                                currentPage++;
                                sortProducts(res.data.data);
                                if(currentPage == maxPage()){
                                    $('#loadmorebtn').hide();
                                }
                            }

                        })
                        .fail(function (response) {
                            loadClose();
                            // handle error
                            disableItem($("#loadmorebtn"), false)
                            $(".process_indicator").addClass('off');
                            if(response.status == 500){
                                alertui.notify('error', 'An Error Occurred. Please try again.')
                            }
                            else{
                                alertui.notify('error', response.responseJSON.data)
                            }
                        })
                })
        })
    })
</script>
</body>
</html>