<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Orders - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">
    <style>
        ul.pagination {
            margin: 0 auto
        }
        ul.pagination li {
            display: inline;
            font-size: 12px;
            font-weight: bold;
            padding: 8px 1px;
            margin: 1px;
        }

        ul.pagination li a {

            color: black;
            padding: 8px 8px;
            text-decoration: none;
            transition: background-color .3s;
            border: 1px solid #ddd;
            margin: 4px;
        }

        ul.pagination li a.active {
            background-color: #271249;
            padding: 8px 8px;
            margin: 4px;
            color: white;
            border: 1px solid #271249;
        }

        ul.pagination li.active {
            /*background-color: #4CAF50;*/
            background-color: #271249;
            padding: 8px 8px;
            margin: 4px;
            color: white;
            border: 1px solid #271249;
        }

        /*ul.pagination li a:hover:not(.active) {background-color: #ddd;}*/
        ul.pagination li a:hover {background-color: #999999;}

        ul.pagination li.disabled {
            /*background-color: #cccccc;*/
            color: #ddd;
            padding: 4px 4px;
            border: none;
            margin: 1px;
        }
    </style>
</head>

<body class="woocommerce-active single-product full-width normal">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <div id="content" class="site-content">
        <div class="col-full mt-5" id="product">
            <div class="row">
                <?php echo $__env->make('partials.breadcrumb', ['pages' =>
            [
          ['name' =>'Orders', 'route' => null ]
          ]
          ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php /*CONTENT AREA START*/ ?>
                        <div class="type-page hentry">
                            <div class="entry-content">
                                <div class="woocommerce container mt-2">
                                    <div
                                            style="
                                                    background-image: url(<?php echo e(asset('assets/images/ordercomplete.png')); ?>);
                                                    height: 150px;
                                                    color: #fff;
                                                    background-position: center;
                                                    background-size: cover;
                                                    margin-bottom: 60px;
                                                    "
                                    >
                                        <h2 class="text-center text-white" style="line-height: 150px;">Orders History</h2>
                                    </div>

                                    <div class="cart-wrapper">
                                        <table class="statement_table shop_table_responsive cart" style='width: 100%'>
                                            <thead>
                                            <th>Order Date</th>
                                            <th>Total Amount</th>
                                            <th>Delivery Charge</th>
                                            <th>Delivery method</th>
                                            <th>Order No</th>
                                            <th>Successful</th>
                                            <th>Failed</th>
                                            <th>Items</th>
                                            </thead>
                                            <tbody>
                                            <?php foreach($accounts as $item): ?>
                                                <tr>
                                                    <td><?php echo e($item->created_at); ?></td>
                                                    <td>
                                                        <?php if($item->is_shipping): ?>

                                                        <?php  if(Auth::user()->currency->is_currency_fixed == '1'){
                                                        echo '&#8358;' . transform_product_price( ($item->sub_total_cost + $item->shipping_cost), 1);
                                                            }
                                                        else{
                                                          echo number_format((Auth::user()->currency->rate * $item->sub_total_cost + ($item->shipping_cost * Auth::user()->currency->rate) ), 2, '.', ',' ) ." " .Auth::user()->currency->currency;
                                                        }
                                                         ?>

                                                            <?php else: ?>

                                                            <?php  if(Auth::user()->currency->is_currency_fixed == '1'){
                                                            echo '&#8358;' . number_format( $item->sub_total_cost, 2, '.', ',' );
                                                            }
                                                        else{
                                                          echo number_format(Auth::user()->currency->rate * $item->sub_total_cost, 2, '.', ',' ) ." ".Auth::user()->currency->currency;
                                                        }
                                                             ?>

                                                        <?php endif; ?>
                                                </td>
                                                    <td>
                                                    <?php if($item->is_shipping): ?>
                                                            <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                &#8358;<?php echo e(number_format($item->shipping_cost, 2, '.', ',' )); ?>

                                                            <?php else: ?>
                                                                <?php echo e(number_format(Auth::user()->currency->rate * $item->shipping_cost, 2, '.', ',' )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                                            <?php endif; ?>
                                                        <?php else: ?>
                                                        No charge
                                                        <?php endif; ?>
                                                            </td>
                                                    <td><?php echo e($item->is_shipping ? 'Shipping' : 'Pickup'); ?></td>
                                                    <td><?php echo e($item->order_no); ?></td>
                                                    <td><?php  echo count($item->success)  ?></td>
                                                    <td><?php if(isset($item->fail["reference"])): ?>
                                                          <?php echo e(count($item->fail["reference"])); ?>

                                                        <?php else: ?>
                                                          <?php echo e(0); ?>

                                                        <?php endif; ?>
                                                    </td>
                                                    <td><a href="<?php echo e(url('order/'.$item->id)); ?>">
                                                    <button class="btn btn-primary">View</button>
                                                    </a></td>
                                                </tr>
                                            <?php endforeach; ?>
                                            </tbody>
                                        </table>
                                        <?php echo e($accounts->links()); ?>

                                    </div>
                                    <!-- .cart-wrapper -->
                                </div>
                                <!-- .woocommerce -->
                            </div>
                            <!-- .entry-content -->
                        </div>

                        <?php /*CONTENT AREA END*/ ?>

                    </main>
                </div>
            </div>
        </div>
    </div>
        <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('js/landing.js')); ?>"></script>
</body>

</html>