<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php echo e(config('app.name')); ?> <?php if(isset($title)): ?> - <?php echo e($title); ?><?php endif; ?></title>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>

    <!-- favicon icon -->
    <link rel="shortcut icon" href="<?php echo e(asset('favicon.ico')); ?>" type="image/x-icon"/>

    <!-- CSS Style -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/main.css')); ?>" >
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/blue.css')); ?>" >
    <?php /*<link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/revslider.css')); ?>">*/ ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/owl.carousel.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/owl.transitions.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/animate.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/bootstrap-select.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/lightbox.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/font-awesome.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/hover-min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('sigma/css/sigma_style.css')); ?>">

    <link href="https://fonts.googleapis.com/css?family=Barlow:200,300,300i,400,400i,500,500i,600,700,800" rel="stylesheet">
    <link href='http://fonts.googleapis.com/css?family=Roboto:300,400,500,700' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,400italic,600,600italic,700,700italic,800' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Montserrat:400,700' rel='stylesheet' type='text/css'>
    <?php echo $__env->yieldPushContent('style'); ?>

</head>
<body class="cnt-home">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
    <?php echo $__env->make('partials.sigma.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

                    <?php echo $__env->yieldContent('content'); ?>

<?php echo $__env->make('partials.sigma.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<script src="<?php echo e(asset('sigma/js/jquery-1.11.1.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/js/bootstrap-hover-dropdown.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/js/owl.carousel.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/js/echo.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/js/jquery.easing-1.3.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/js/bootstrap-slider.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/js/jquery.rateit.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/js/lightbox.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/js/bootstrap-select.min.js')); ?>"></script>
<?php /*<script src="<?php echo e(asset('sigma/js/wow.min.js')); ?>"></script>*/ ?>
<script src="<?php echo e(asset('sigma/js/scripts.js')); ?>"></script>
    <script>
        $(".overlay").click(function(){
            $(this).hide();
        })

        var baseUrl = "<?php echo config('app.base_url')?>";
        //Configure Ajax
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
    </script>
<?php echo $__env->yieldPushContent('script'); ?>
</body>
</html>