<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <?php if(isset($product->data->product_name)): ?>
    <title>Experience - <?php echo e($product->data->product_name); ?> <?php echo e(config('app.name')); ?></title>
    <?php else: ?>
        <title>Experience - <?php echo e(config('app.name')); ?></title>
        <?php endif; ?>
        <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
    <style>
        .woocommerce-breadcrumb {
            display: block;
        }
    .product-images-wrapper {
                order: 0 !important;
            }
        input.date {
            font-family: FontAwesome;
            font-style: normal;
            font-weight: normal;
            text-decoration: inherit;
        }
    </style>
</head>

<body class="woocommerce-active single-product full-width normal">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
<?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div class="modal fade show" id="experiencebook" tabindex="-1" role="dialog" aria-labelledby="experiencebook" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">

                <div class="modal-body text-center">
                    <h2>Confirm booking</h2>

                    <br><br>
                    <a id="experiencebook_action">
                        <button type="button" class="btn btn-large btn-primary">Checkout</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">

            <!-- .techmarket-sticky-wrap -->
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-list" aria-hidden="true"></i>
                        <span>Categories</span>
                    </button>
                    <ul id="menu-departments-menu" class="dropdown-menu yamm departments-menu-dropdown">
                        <?php if(isset($response)): ?>
                            <?php if($response->status == 1): ?>
                                <?php foreach($response->data as $category): ?>
                                    <li class="highlight menu-item animate-dropdown">
                                        <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("experiences",[str_slug($category->category, '-') .'-' . $category->category_id])); ?>">
                                            <?php echo e(ucfirst($category->category)); ?></a>
                                    </li>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        <?php else: ?>
                            <li class="highlight menu-item animate-dropdown">
                                <a title="" href="javascript:">Failed to load categories</a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>

                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="">

                    <!-- .input-group -->
                </form>
                <!-- .navbar-search -->
                <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            </div>
            <!-- /.row -->
        </div>
        <!-- .col-full -->
        <div class="col-full handheld-only">
            <div class="handheld-header">
                <!-- /.row -->
                <div class="techmarket-sticky-wrap">
                    <div class="row">
                        <nav id="handheld-navigation" class="handheld-navigation" aria-label="Handheld Navigation">
                            <button class="btn navbar-toggler" type="button">
                                <i class="fa fa-list" aria-hidden="true"></i>
                                <span>Menu</span>
                            </button>
                            <div class="handheld-navigation-menu">
                                <span class="tmhm-close">Close</span>
                                <ul id="menu-departments-menu-1" class="nav">
                                    <?php if(isset($response)): ?>
                                        <?php if($response->status == 1): ?>
                                            <?php foreach($response->data as $category): ?>
                                                <li class="highlight menu-item animate-dropdown">
                                                    <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("catalogue/category",[str_slug($category->category, '-') .'-' . $category->category_id])); ?>">
                                                        <?php echo e(ucfirst($category->category)); ?></a>
                                                </li>
                                            <?php endforeach; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </ul>
                            </div>
                            <!-- .handheld-navigation-menu -->
                        </nav>
                        <!-- .handheld-navigation -->
                        <div class="site-search">
                            <div class="widget woocommerce widget_product_search">
                                <form role="search" method="get" class="woocommerce-product-search" action="">
                                </form>
                            </div>
                            <!-- .widget -->
                        </div>
                        <a class="handheld-header-cart-link has-icon" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </div>
                    <!-- /.row -->
                </div>
                <!-- .techmarket-sticky-wrap -->
            </div>
            <!-- .handheld-header -->
        </div>
        <!-- .handheld-only -->
    </header>
    <div id="content" class="site-content">
        <div class="col-full" id="product">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php echo $__env->make('partials.breadcrumb', ['pages' =>
              [
              ['name' =>'Experience', 'route' =>'experiences'],
              ['name' => 'Experience - '.$product->data->product_name, 'route' => null ]
              ]
              ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <div class="product product-type-simple mt-4">
                            <div class="single-product-wrapper">
                                <div class="product-images-wrapper thumb-count-4">
                                    <div id="techmarket-single-product-gallery"
                                         class="techmarket-single-product-gallery techmarket-single-product-gallery--with-images techmarket-single-product-gallery--columns-4 images"
                                         data-columns="4">
                                        <div class="techmarket-single-product-gallery-images"
                                             data-ride="tm-slick-carousel"
                                             data-wrap=".woocommerce-product-gallery__wrapper" data-slick="">
                                            <div class="woocommerce-product-gallery woocommerce-product-gallery--with-images woocommerce-product-gallery--columns-4 images"
                                                 data-columns="4">

                                                <?php if(isset($product->data->image)): ?>
                                                <figure class="woocommerce-product-gallery__wrapper ">
                                                    <div class="woocommerce-product-gallery__image single_experience_item">
                                                        <?php foreach($product->data->image as $image): ?>
                                                        <img width="600" height="600"
                                                             src="<?php echo e($image); ?>"
                                                             class="attachment-shop_single size-shop_single wp-post-image"
                                                             alt="">
                                                        <?php endforeach; ?>
                                                    </div>
                                                </figure>
                                                    <?php endif; ?>
                                            </div><!-- .woocommerce-product-gallery -->
                                        </div><!-- .techmarket-single-product-gallery-images -->


                                    </div><!-- .techmarket-single-product-gallery -->
                                </div>

                                <div class="summary entry-summary single_item_container">
                                    <form action="<?php echo e(route('checkout_experience')); ?>" name="checkout_experience" method="post">
                                        <?php echo e(csrf_field()); ?>

                                        <div class="single-product-header">
                                            <h1 class="product_title entry-title font-weight-bold"><?php echo e($product->data->product_name); ?></h1>
                                            <?php if(isset($product->data->package)): ?>
                                                <p class="price">
                                                    <input type="hidden" name="price" value="<?php echo e($product->data->package->adult->adult_price); ?>">
                                                    <input type="hidden" name="signature" value="<?php echo e($product->data->signature); ?>">
                                                    <input type="hidden" name="name" value="<?php echo e($product->data->product_name); ?>">
                                                    <ins>
                                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                            <span class="woocommerce-Price-amount amount">
                                                                    <span class="woocommerce-Price-currencySymbol">&#8358;</span>
                                                                <?php echo e((number_format($product->data->package->adult->adult_price) )); ?>

                                                            </span>
                                                        <?php else: ?>
                                                            <span class="woocommerce-Price-amount amount">
                                                            <?php echo e((number_format( Auth::user()->currency->rate * $product->data->package->adult->adult_price))); ?>  <span class="woocommerce-Price-currencySymbol"><?php echo e(Auth::user()->currency->currency); ?></span>
                                                            </span>
                                                        <?php endif; ?>
                                                    </ins>
                                                </p>
                                            <?php endif; ?>
                                            <div class="woocommerce-product-details__short-description">
                                                <?php  echo $product->data->description;  ?>
                                            </div>
                                        </div><!-- .single-product-header -->
                                        <div class="container">
                                            <div class="row mb-5">
                                                <div class="col-md-12">
                                                    <?php if(isset($product->data->location)): ?>
                                                    <div class="quantity mt-3">
                                                        <h4>Locations</h4>
                                                        <div class="woocommerce-checkout-payment" id="payment">
                                                            <ul class="wc_payment_methods payment_methods methods">
                                                                <?php foreach($product->data->location as $location): ?>
                                                                    <input type="radio" value="<?php echo e($location->id); ?>" name="location" class="input-radio" id="payment_method_bacs">
                                                                      <label for="payment_method_bacs"><?php echo e($location->store_name); ?>, <?php echo e($location->exp_address); ?>, <?php echo e($location->city); ?></label>
                                                                    <br>
                                                                <?php endforeach; ?>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                    <?php endif; ?>
                                                    <div class="row">
                                                    <?php if(isset($product->data->start_date)): ?>
                                                    <div class="col-md-4" >
                                                        <div class="date">
                                                            <h4>Experience date</h4>
                                                            <div class="woocommerce-checkout-payment" id="payment">
                                                                <input data-toggle="datepicker" name="exp_date"
                                                                       data-startdate="<?php echo e($product->data->start_date); ?>"
                                                                       placeholder=" Choose date &#xf271"
                                                                       data-enddate="<?php echo e($product->data->end_date); ?>"
                                                                        class="date"
                                                                       style="border-style: hidden;"
                                                                >
                                                    </div>
                                                    </div>
                                                    </div>
                                                            <div class="col-md-4" >
                                                                <div class="day">
                                                                    <h4>Experience time</h4>
                                                                    <div class="woocommerce-checkout-payment" id="payment">
                                                                        <select name="exp_day" id="exp_day">
                                                                            <option value="null" disabled="disabled" selected>Select a day</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                    <?php endif; ?>
                                                    </div>
                                                    <div class="row justify-content-center">
                                                    <?php if(isset($product->data->package)): ?>
                                                    <div class="col-md-12" >
                                                        <h4 class="mb-0 mt-3 mb-3">Guests</h4>
                                                        <div class="row">
                                                            <?php if(isset($product->data->package->adult)): ?>
                                                        <div class="woocommerce-checkout-payment col-md-3 range-slider">
                                                            <small>Adults</small>
                                                            <br>
                                                            <input class="range-slider__range" type="range"
                                                                   name="guests_adults"
                                                                   value="<?php echo e($product->data->package->adult->min_adult); ?>"
                                                                   min="<?php echo e($product->data->package->adult->min_adult); ?>"
                                                                   max="<?php echo e($product->data->package->adult->max_adult); ?>">
                                                            <span class="range-slider__value"><?php echo e($product->data->package->adult->min_adult); ?></span>
                                                        </div>
                                                            <?php endif; ?>
                                                            <?php if(isset($product->data->package->kids)): ?>
                                                        <div class="woocommerce-checkout-payment col-md-3 range-slider">
                                                            <small>Children</small>
                                                            <br>
                                                            <input class="range-slider__range" type="range"
                                                                   name="guests_kids"
                                                                   value="<?php echo e($product->data->package->adult->min_adult); ?>"
                                                                   min="<?php echo e($product->data->package->adult->min_adult); ?>"
                                                                   max="<?php echo e($product->data->package->adult->max_adult); ?>">
                                                            <span class="range-slider__value"><?php echo e($product->data->package->adult->min_adult); ?></span>
                                                        </div>
                                                                <?php endif; ?>
                                                        </div>
                                                    </div>
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="row mt-4">
                                                        <h4 class="pl-3">Order details</h4>
                                                        <div class="form-row">
                                                            <div class="col">
                                                            <input type="text" class="form-control" name="firstname" placeholder="First name" required>
                                                            </div>
                                                            <div class="col">
                                                            <input type="text" class="form-control" name="lastname"  placeholder="Last name" required>
                                                            </div>
                                                        </div>
                                                        <br>
                                                        <div class="form-row">
                                                           <div class="col">
                                                        <input type="email" class="form-control" name="email" placeholder="Email" required>
                                                           </div>
                                                            <div class="col">
                                                        <input type="number" class="form-control" name="phone_no" placeholder="Phone number (+2348084438...)" required>
                                                            </div>
                                                        </div>
                                                    </div>
                                            </div>
                                        </div>
                                        </div>

                                        <div class="product-actions-wrapper">
                                            <div class="product-actions row justify-content-center">
                                                <div class="col-sm-6">
                                                    <button class="single_add_to_cart_button button alt custom_button_color"
                                                            value="185"
                                                            id="bookexp"
                                                            type="submit"
                                                            style="color: #fff;margin: 0 auto;"
                                                    >Book Now
                                                    </button>
                                            </div>
                                            </div>
                                        </div>

                                        <!-- .product-actions -->
                                    </form>

                                </div>

                            </div>
                            <?php if(isset($product->data->faqs)): ?>
                            <div class="row justify-content-center">
                                <div class="col-md-12 pt-3 text-center" style="border-top: 1px solid #ccc;">
                                    <h4>FAQs</h4>
                                </div>

                                <div id="accordion">
                                    <?php foreach($product->data->faqs as $index => $faq): ?>
                                        <div class="card">
                                            <div class="card-header" id="headingOne">
                                                <h5 class="mb-0">
                                                    <button class="btn btn-link" data-toggle="collapse" data-target="#<?php echo e($index); ?>" aria-expanded="true" aria-controls="<?php echo e($index); ?>">
                                                    <?php echo e($faq->question); ?>


                                                    </button>
                                                </h5>
                                            </div>

                                            <div id="<?php echo e($index); ?>" class="collapse" aria-labelledby="headingOne" data-parent="#accordion">
                                                <div class="card-body">
                                                    <?php  echo $faq->answer;  ?>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            </div>
                            <?php endif; ?>
                        </div><!-- .single-product-wrapper -->
                    </main>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
<script src="<?php echo e(asset('assets/js/theia-sticky-sidebar.js')); ?>"></script>
<script>
    $(".overlay").click(function(){
        $(this).hide();
    });
    Date.prototype.getDayOfWeek = function(){
        return ["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"][ this.getDay() ];
    };
    var startdate = new Date($("input[name='exp_date']").data("startdate"));
    var enddate = new Date($("input[name='exp_date']").data("enddate"));
    var currentdate = new Date();
    var daySlots = <?php echo $dayslots ?>;

    var options = {
        enable: [
            {
                from: startdate,
                to: enddate
            }],
        altInput: true,
        altFormat: "F j, Y",
        enableTime: false,
        dateFormat: "Y-m-d",
        onChange: function(selectedDates, dateStr, instance) {
            var selectedDay = new Date(dateStr).getDay();
            var selectedDaySlot = daySlots.filter(function (elem, i) {
                return i === selectedDay
            });
            $("#exp_day").empty();
            if(selectedDaySlot.length == 0){
                $("#exp_day").append("<option value='null' disabled selected>No Time Slot</option>");
                return false;
            }
            selectedDaySlot.map(function(elem, i){
                $("#exp_day").prepend(
                    "<option value="+elem.start_time+">"+elem.start_time + " " + elem.start_time_period + " - " + elem.end_time+ " " + elem.end_time_period +"</option>"
                );
            })
        }
    }

    flatpickr(".date", options);

    $(document).ready(function () {
        $(".delivery_method").on('change', function () {
            if($(this).val() == 1){
                $("#pickUpLocation").show();
            }else{
                $("#pickUpLocation").hide();
            }
        });

        $(".single_experience_item").slick({
            dots: true,
            infinite: true,
            speed: 500,
            fade: true,
            cssEase: 'linear',
            autoplay: true
        });


        $("#bookexp").click(function(e){
            e.preventDefault();
            var dateField = $("input[name='exp_date']").val();
            if (!$("input[name='location']:checked").val()) {
                alertui.notify('error', 'Please choose a Location.');
                return false;
            }

            if (!$("select[name='exp_day']").val()) {
                alertui.notify('error', 'Please select a Time slot.');
                return false;
            }
            if ($("input[name='firstname']").val() === '' || $("input[name='lastname']").val() === '' || $("input[name='phone_no']").val() === '' || $("input[name='email']").val() === '') {
                alertui.notify('error', 'Please complete the order form');
                return false;
            }
            if(dateField.length < 1){
                alertui.notify('error', 'Please choose a date.');
                return false;
            }
            $("form[name='checkout_experience']").submit();
            // $("#experiencebook").modal('show')
            //
            // $('#experiencebook').on('shown.bs.modal', function (e) {
            //     $("#checkoutexp").click(function () {
            //         $("form[name='checkout_experience']").submit();
            //     })
            // })


        })

    })
    function updateRangeInput(elem) {
        $(elem).next().find("span").text($(elem).val());
    }

    function updateKidsRangeInput(elem) {
        $(elem).next().find("span").text($(elem).val());
    }

</script>
<script>
    $('.product-images-wrapper').theiaStickySidebar({
        // Settings
        additionalMarginTop: 30
    });
    var rangeSlider = function(){
        var slider = $('.range-slider'),
            range = $('.range-slider__range'),
            value = $('.range-slider__value');

        slider.each(function(){

            value.each(function(){
                var value = $(this).prev().attr('value');
                $(this).html(value);
            });

            range.on('input', function(){
                $(this).next(value).html(this.value);
            });
        });
    };

    rangeSlider();
</script>
</body>

</html>