<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- All css files are included here. -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">

    <?php /*<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>*/ ?>
    <script src="<?php echo e(asset('assets//newtemplate/vendor/html5shiv.js')); ?>"></script>
    <script src="<?php echo e(asset('assets//newtemplate/vendor/respond.js')); ?>"></script>
    <style>
        .theme-main-menu{
            z-index: 99999;
        }
    </style>
</head>
<body class="woocommerce-active page-template-template-landingpage-v2 can-uppercase">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div class="main-page-wrapper">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>

    <div class="html-top-content">
        <?php echo $__env->make('partials.top', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </div>
    <div class="contact-us-one bg-color m0" id="contact">
        <img src="images/shape/26.png" alt="" class="shape">
        <img src="images/shape/30.png" alt="" class="shape-two">
        <div class="container">
            <div class="theme-title text-center">
                <h2>Get In Touch</h2>
                <p>vel modus honestatis ad, vim an vidit aliquam instructior. Alii efficiendi <br> intellegebat nec ea, mea elitr interesset ea</p>
            </div>
            <form action="#" class="form-validation" autocomplete="off">
                <div class="row">
                    <div class="col-md-6">
                        <label>First Name*</label>
                        <input type="text" placeholder="First Name" name="firstName">
                    </div>
                    <div class="col-md-6">
                        <label>Last Name*</label>
                        <input type="text" placeholder="Last Name" name="lastName">
                    </div>
                    <div class="col-md-6">
                        <label>Email*</label>
                        <input type="email" placeholder="Email Address" name="email">
                    </div>
                    <div class="col-md-6">
                        <label>Phone</label>
                        <input type="text" placeholder="Phone Number" name="phone">
                    </div>
                    <div class="col-12">
                        <label>I would like to discuss*</label>
                        <input type="text" name="message">
                    </div>
                </div>
                <button>Send Message</button>
            </form>
            <!--Contact Form Validation Markup -->
            <!-- Contact alert -->
            <div class="alert-wrapper" id="alert-success">
                <div id="success">
                    <button class="closeAlert"><i class="fa fa-times" aria-hidden="true"></i></button>
                    <div class="wrapper">
                        <p>Your message was sent successfully.</p>
                    </div>
                </div>
            </div> <!-- End of .alert_wrapper -->
            <div class="alert-wrapper" id="alert-error">
                <div id="error">
                    <button class="closeAlert"><i class="fa fa-times" aria-hidden="true"></i></button>
                    <div class="wrapper">
                        <p>Sorry!Something Went Wrong.</p>
                    </div>
                </div>
            </div> <!-- End of .alert_wrapper -->
        </div>
    </div>
    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>


<script src="<?php echo e(asset('js/landing.js')); ?>"></script>
</body>
</html>