<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Orders - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatable.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatables.bootstrap4.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

</head>

<body class="woocommerce-active single-product full-width normal">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<?php 
    $cartstatus = [
    0 =>'fail',
    1 =>'pending',
    2 =>'done',
    3 => 'reversed',
    4 =>'cancelled',
    5 =>'deleted'
];
 ?>
<div id="page" class="hfeed site">
    <?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div id="content" class="site-content">
        <div class="col-full mt-5" id="product">
            <div class="row">
                <?php echo $__env->make('partials.breadcrumb', ['page' => 'Orders Items'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">


                        <?php /*CONTENT AREA START*/ ?>
                        <div class="type-page hentry">
                            <div class="entry-content">
                                <div class="woocommerce container mt-5">
                                    <div class="cart-wrapper">
                        <!--statement table-->
                        <table id="myTable" class="display table table-striped table-bordered" cellspacing="0" width="100%">

                            <thead>
                            <th>Name</th>
                            <th>Quantity</th>
                            <th>Delivery</th>
                            <th>Price (Unit)</th>
                            <th>Price (Total)</th>
                            <th>Status</th>
                            <th>Voucher</th>
                            <th>Address</th>
                            <th>Sent to</th>
                            <th>Phone</th>
                            </thead>

                            <tbody>
                            <?php if(isset($data)): ?>
                            <?php foreach($data as $item): ?>
                                <tr>
                                    <td><?php echo e($item->name); ?></td>
                                    <td><?php echo e($item->qty); ?></td>
                                    <td><?php if($item->delivery_type === 1): ?>
                                         Pickup
                                            <?php else: ?>
                                            Shipping
                                        <?php endif; ?>
                                        </td>
                                    <td>
                                    <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                        &#8358;<?php echo e(number_format($item->price )); ?>

                                    <?php else: ?>
                                        <?php echo e(number_format($item->price )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                    <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                            &#8358;<?php echo e(number_format(($item->price * $item->qty) )); ?>

                                        <?php else: ?>
                                            <?php echo e(number_format(Auth::user()->currency->rate * ($item->price * $item->qty) )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($cartstatus[$item->status] == 'done'): ?>
                                        Successfull
                                        <?php else: ?>
                                         <?php echo e($cartstatus[$item->status]); ?>

                                         <?php endif; ?>
                                    </td>
                                    <td><?php echo e($item->voucher); ?></td>
                                    <td>
                                        <?php if($item->delivery_type === 2): ?>
                                            <?php if(isset($item->address)): ?>
                                            <?php echo e($item->address); ?>

                                                <?php endif; ?>
                                            <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(isset($item->firstname)): ?>
                                            <?php echo e($item->firstname); ?>

                                        <?php endif; ?>
                                            <?php if(isset($item->lastname)): ?>
                                                <?php echo e($item->lastname); ?>

                                            <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(isset($item->phone)): ?>
                                            <?php echo e($item->phone); ?>

                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                                <?php endif; ?>
                            </tbody>
                            </tr>
                        </table>
                                    </div>
                                    <!-- .cart-wrapper -->
                                </div>
                                <!-- .woocommerce -->
                            </div>
                            <!-- .entry-content -->
                        </div>

                        <?php /*CONTENT AREA END*/ ?>

                    </main>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/datatable.min.js')); ?>"></script>
<script>
    $(".statement_table").dataTable();
    $("#DataTables_Table_0_wrapper").css("width", "100%");

</script>
</body>

</html>