<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>">
    <!-- Owl Carousel main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/owl.theme.default.min.css')); ?>">
    <!-- This core.css file contents all plugings css file. -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/core.css')); ?>">
    <!-- Theme shortcodes/elements style -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/shortcode/shortcodes.css')); ?>">
    <!-- Theme main style -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/style.css')); ?>">
    <!-- Responsive css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/responsive.css')); ?>">
    <!-- User style -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatable.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/alertui.min.css')); ?>">
    <link href="https://unpkg.com/nprogress@0.2.0/nprogress.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
<?php /*<script src="https://unpkg.com/nprogress@0.2.0/nprogress.js"></script>*/ ?>


<!-- Modernizr JS -->
    <script src="<?php echo e(asset('assets/js/vendor/modernizr-2.8.3.min.js')); ?>"></script>
</head>

<body>
<section id="shop">
<header id="header" class="htc-header">
    <!-- Start Mainmenu Area -->
    <div id="sticky-header-with-topbar" class="mainmenu__area sticky__header">
        <div class="container">
            <div class="row">
                <div class="col-md-2 col-lg-2 col-sm-3 col-xs-3">
                    <div class="logo">
                        <a href="<?php echo e(url('/')); ?>">
                            <img src="<?php echo e(asset('assets/images/logo/logo.png')); ?>" alt="logo">
                        </a>
                    </div>
                </div>
                <!-- Start MAinmenu Ares -->
                <div class="col-md-6 col-lg-6 col-sm-6 col-xs-6">
                    <nav class="mainmenu__nav hidden-xs hidden-sm">
                        <ul class="main__menu">
                            <li><a href="<?php echo e(url('/')); ?>">Home</a></li>
                            <li><a href="<?php echo e(url('shop')); ?>">Shop</a></li>
                            <li><a href="<?php echo e(url('contact')); ?>">Contact Us</a></li>
                        </ul>
                    </nav>
                    <div class="mobile-menu clearfix visible-xs visible-sm">
                        <nav id="mobile_dropdown">
                            <ul>
                                <li><a href="<?php echo e(url('/')); ?>">Home</a></li>
                                <li><a href="<?php echo e(url('shop')); ?>">Shop</a></li>
                                <li><a href="<?php echo e(url('contact')); ?>">Contact Us</a></li>
                            </ul>
                        </nav>
                    </div>
                </div>
                <!-- End MAinmenu Ares -->

                <div class="col-md-5 col-sm-7 col-xs-3">
                    <ul class="main__menu menu-extra">
                        <?php /*<li class="search search__open hidden-xs"><a href="#"><span class="ti-search"></span></a></li>*/ ?>

                        <li class=""><a href="<?php echo e(url('cart')); ?>">
                                <span class="ti-shopping-cart"></span>
                                <?php if(Auth::check()): ?>
                                    <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="cartcount"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                        <?php endif; ?>
                                <?php endif; ?>
                            </a></li>

                        <?php if(Auth::guest()): ?>
                            <li><a href="<?php echo e(url('login')); ?>">Sign in</a></li>
                        <?php else: ?>
                            <li class="drop"><a href="#"><span class="ti-user"></span></a>
                                <ul class="dropdown">
                                    <li class="text-center"><b><?php echo e(Auth::user()->name); ?></b></li>

                                    <li><a href="<?php echo e(url('profile')); ?>">My Profile</a></li>
                                    </span></a></li>
                                    <li><a href="<?php echo e(url('statement')); ?>">My Statement</a></li>
                                    </span></a></li>
                                    <li><a href="<?php echo e(url('/logout')); ?>">Sign Out</a></li>
                                </ul>
                                <?php endif; ?>
                            </li>
                            <?php if(Auth::check()): ?>
                                <?php if(config('app.appfixcurrency') == 'true'): ?>
                                    <li><a href="#">Current Balance: <b>&#8358;<?php echo e((number_format( config('app.apprate') * Auth::user()->point->point))); ?></b></a></li>
                                <?php else: ?>
                                    <li><a href="#">Current Balance: <b><?php echo e((number_format( config('app.apprate') * Auth::user()->point->point))); ?> <?php echo e(config('app.appcurrency')); ?></b></a></li>
                                <?php endif; ?>
                            <?php endif; ?>
                    </ul>
                </div>

            </div>

            <div class="mobile-menu-area"></div>
        </div>
    </div>
    <!-- End Mainmenu Area -->
</header>

    <!-- Body main wrapper start -->
    <div class="wrapper fixed__footer">

        <div class="body__overlay" @click="closemodal()"></div>
        <!-- Start Offset Wrapper -->
        <div class="offset__wrapper">
            <?php /*<?php echo $__env->make('partials.searchpopup', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>*/ ?>
            <?php /*<?php echo $__env->make('partials.offsetmenu', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>*/ ?>
            <?php /*<sidecart></sidecart>*/ ?>
        </div>
        <!-- End Offset Wrapper -->
        <!-- Start Bradcaump area -->
    <?php echo $__env->make('partials.jumbotron', ['pagename' => 'Shop'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <!-- End Bradcaump area -->
        <!-- Start Our Product Area -->
        <?php /*<router-view></router-view>*/ ?>
        <shop></shop>

    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <!-- End Footer Area -->
    </div>
</section>
    <!-- Body main wrapper end -->
<!-- jquery latest version -->
<script src="<?php echo e(asset('assets/js/vendor/jquery-1.12.0.min.js')); ?>"></script>
<!-- Bootstrap framework js -->
<script src="<?php echo e(asset('assets/js/bootstrap.min.js')); ?>"></script>
<!-- All js plugins included in this file. -->
<script src="<?php echo e(asset('assets/js/plugins.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/slick.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/owl.carousel.min.js')); ?>"></script>

<?php echo $__env->yieldPushContent('scripts'); ?>
<!-- Waypoints.min.js. -->
<script src="<?php echo e(asset('assets/js/waypoints.min.js')); ?>"></script>

<!-- Main js file that contents all jQuery plugins activation. -->
<script src="<?php echo e(asset('assets/js/main.js')); ?>"></script>
<script src="<?php echo e(asset('js/app.js')); ?>"></script>

</body>

</html>

