<?php $__env->startSection('content'); ?>
    <?php 
        $cartstatus = [
           'cancelled' => 0,
           'pending' => 1,
           'shipped' => 2,
           'delivered' => 3,
           'processing' => 4,
           'expired' => 5,
           'noncart' => 6,
           'deleted' => 7,
           'pickedup' => 8
       ];

    $total = 0;
    $anydelivery = "";
    $address = "";
    $sentto = "";
    $is_delivery = false;
     ?>
    <div class="body-content">
        <div class="breadcrumb">
            <div class="container">
                <div class="breadcrumb-inner">
                    <ul class="list-inline list-unstyled">
                        <li><a href="<?php echo e(url('/')); ?>">Home</a></li>
                        <li><a href="<?php echo e(url('orders')); ?>">Orders</a></li>
                        <li class='active'>Ordered items</li>
                    </ul>
                </div>
                <!-- /.breadcrumb-inner -->
            </div>
        </div>
        <div class="row">
            <div id="printarea" class="col-md-8 col-md-offset-2" style="margin-top: 40px;background: #fff;padding-bottom: 50px;padding-top: 50px;">
                <?php /*<pre>*/ ?>
                <?php /*<?php */ ?>
                <?php /*var_dump($data)*/ ?>
                <?php /* ?>*/ ?>
                    <?php /*</pre>*/ ?>

                <?php if(isset($order->order_no)): ?>
                    <div class="row">
                        <div class="col-sm-12">
                            <p style="margin-bottom: 1px; font-weight: 700;">Order no : <?php echo e($order->order_no); ?></p>
                            <p style="font-weight: 700;">Date : <?php echo e($order->created_at->format('D, j M, Y / h:i A')); ?></p>
                        </div>
                    </div>
                    <hr>
                <?php endif; ?>
                <div class="cart-wrapper">
                    <!--statement table-->
                    <table id="myTable" class="display table table-hover table-sm table-striped" cellspacing="0" width="100%">
                        <thead>
                        <th class="font-weight-bold">Name</th>
                        <th class="font-weight-bold">Quantity</th>
                        <th class="font-weight-bold">Redemption method</th>
                        <th class="font-weight-bold">Price (Unit)</th>
                        <th class="font-weight-bold">Price (Total)</th>
                        <th class="font-weight-bold">Status</th>
                        <th class="font-weight-bold">Voucher</th>
                        <th class="font-weight-bold">Pickup Address</th>
                        </thead>

                        <tbody>
                        <?php if(isset($data)): ?>
                            <?php foreach($data as $item): ?>
                                <?php 
                                    $total += ($item->price * $item->qty);
                                 ?>
                                <tr>
                                    <td><?php echo e($item->name); ?></td>
                                    <td><?php echo e($item->qty); ?></td>
                                    <td>
                                        <?php if($item->delivery_type === 1): ?>
                                            Pickup
                                        <?php elseif($item->delivery_type === 2): ?>
                                            Shipping
                                        <?php else: ?>
                                            E-Channel
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                            &#8358;<?php echo e(transform_product_price($item->price, 1)); ?>

                                        <?php else: ?>
                                            <?php echo e(transform_product_price($item->price, Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                            &#8358;<?php echo e(transform_product_price( ($item->price * $item->qty), 1)); ?>

                                        <?php else: ?>
                                            <?php echo e(transform_product_price( ($item->price * $item->qty), Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($item->delivery_type != 2 && $item->delivery_type != 1): ?>
                                            Successful
                                        <?php else: ?>
                                            <?php echo e(ucfirst(array_flip($cartstatus)[$item->status])); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($item->voucher); ?></td>
                                    <?php /*<td><?php echo e($item->pickup_location_name); ?></td>*/ ?>
                                    <td>
                                        <?php if($item->delivery_type === 1): ?>
                                            <?php if(isset($item->pickup_location_name)): ?>
                                             <?php echo e($item->pickup_location_name); ?>

                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </td>

                                    <?php if($item->delivery_type === 2): ?>
                                        <?php if(isset($item->address)): ?>
                                            <?php $address = $item->address; $is_delivery = true; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>

                                    <?php if($item->delivery_type === 2): ?>
                                        <?php 
                                            $anydelivery = "( + delivery charge)"
                                         ?>
                                        <?php if(isset($item->firstname)): ?>
                                            <?php $sentto = $item->firstname ?>
                                        <?php endif; ?>
                                        <?php if(isset($item->lastname)): ?>
                                            <?php $sentto  .= $item->lastname ?>
                                        <?php endif; ?>
                                    <?php endif; ?>


                                </tr>
                            <?php endforeach; ?>
                            <tr class="font-weight-bold">Total cost <?php  echo $anydelivery;  ?> :
                                <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                    &#8358; <?php echo e(transform_product_price( $total, 1)); ?>

                                <?php else: ?>
                                    <?php echo e(transform_product_price( ($total + $delivery_charge), Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                <?php endif; ?>
                            </tr>
                            <tr class="font-weight-bold">

                            </tr>
                        <?php endif; ?>
                        </tbody>
                    </table>
                    <?php if($is_delivery): ?>
                        <div class="row">
                            <hr>
                            <div class="col-sm-12 p-4">
                                <p class="font-weight-bold" style="margin-bottom: 1px;">Delivery address : <?php echo e($address); ?></p>
                                <p class="font-weight-bold">Sent to : <?php echo e($sentto); ?></p>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
                <!-- .cart-wrapper -->
            </div>
            <div class="col-md-8 col-md-offset-2  w-100" style="margin-bottom: 40px;background: #fff;padding-bottom: 50px;">
            <button type="button" class="btn btn-primary btn-lg pull-right custom_button_color" onclick="printData()"><i class="fa fa-print" aria-hidden="true"></i>
                Print</button>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('style'); ?>
<style>

</style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>
    <script>
        function printData()
        {
            var divToPrint=document.getElementById("printarea");
            newWin= window.open("");
            newWin.document.write(divToPrint.outerHTML);
            newWin.print();
            newWin.close();
        }
    </script>
    <?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.main', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>